List of Contents

Golfsoft® is a Registered Trademark of Golfsoft® Company

Golf League Secretary™ 2012 for Windows
Table of Contents

What's New
Getting Started
Sample Leagues
Demo Version
FAQ's
Tech FAQ's
Setup Functions
Golf Course Setup
Golf League Setup
Player Setup
Schedule Setup
League Points Setup
Set Player / Team Divisions
 Extra Player Setup

Database
Replace a Player
The GLS Database
 Database Maintenance

Spreadsheet Functions
The GLS Spreadsheet
Spreadsheet Formatting
Spreadsheet File Types
Spreadsheet Formulas
Spreadsheet Menu
Sorting Rows or Columns
 Spreadsheet Templates
Cell Span
Cell Note

Printing Functions
Printing Options
Print Preview
League Functions
Weekly Checklist
Match Setup
Creating Scorecards
Scorecard Templates
Week One Handicaps
Rainout or Postponement
Entering Weekly Scores
Scoresheet Method
Weekly Report Templates
Forfeits and No-Shows
Make Up Matches
Player Team Position - Setting Manually
 Substitute Players
GLS Reports
Corrective Queries
 Weekly Prizes

Handicap Functions
Handicap Calculation
USGA Inspired Options
Handicaps - Setting Manually
Handicaps - Traveling League

 Miscellaneous
USGA Statement
Computer Lock Up
Troubleshooting
Golfsoft Company
Registration / Program Editions
Printed Documentation
Uninstall GLS
Copyright ©1994-2012 by Golfsoft® Company


Demo Version

Unregistered Demo Version

All users must initially obtain the Golf League Secretary in the download file in unlicensed form, also known as "The Demo Version," at no charge. You can evaluate GLS to ascertain whether it will achieve your intended results. The unlicensed version displays some reminders of its' unregistered state, otherwise, all major features are fully enabled. Upon deciding GLS will achieve your intended results, you can purchase a license. A unique "Unlock Code," a series of letters and/or numbers, similar to a password, will be issued to you. The unlock code is based on a "Computer ID Number" which GLS generates and is unique to your computer. All computers have a different Computer ID Number and require a different Unlock Code. Your license becomes active on a single computer when the correct unlock code is entered and the software becomes fully enabled. To locate this information, click on the "GLS" Menu... "Registration / Unlock..." There is no charge to move GLS from one computer to another. You can request (by email) a new unlock code at anytime for a different computer. Once you receive a new unlock code, the previously issued unlock code will be disabled on all future GLS updates and upgrades.

The Demo Version of GLS is exactly the same as the Full Licensed Version except it is limited to five (5) weeks of use for any league created. After five weeks, the program will not allow scores to be entered or queries to be run, thus making the program unusable for that particular league.

Software Editions: The "Software" is available in 3 Editions: Express, Standard, and Professional. All 3 Editions have the same features except for the number of leagues that can be maintained within the program. The Express Edition, for example, which is used by most licensees, allows maintenance of 2 leagues. Only League ID numbers 1 and 2 can be used beyond 5 weeks. All created leagues other than League ID Numbers 1 and 2 are limited to 5 weeks of data entry. The 6th week cannot be entered. Leagues with ID numbers 1 and/or 2 can be deleted to make room for another league thus making the "Software" reusable indefinitely. If a league with ID number 1 or 2 is deleted, a league with a higher number can be changed to become a legal league. The only difference between the Standard Edition and Express Edition is the Standard Edition allows the maintenance of up to 4 leagues. Leagues with League ID numbers 1 through 4 can be used beyond 5 weeks. The Professional Edition allows an unlimited number of leagues and all League ID numbers can be used beyond 5 weeks. The following excerpt from the "Golf League Secretary Software License Agreement" explains a the major difference between the 3 versions.

"... Licenses for the Express and Standards Editions of the "Software" are NOT ISSUED in the name of entities such as corporations, companies, clubs, groups, leagues, associations and so forth. The Express and Standard Editions of the "Software" are licensed for personal use only, by one person, in the name of that person. The Profession Edition of the "Software" can be licensed in the name of entities such as corporations, companies, clubs, groups, leagues, associations and so forth..."

Also, the Professional Licenses are not transferable as are the other editions.

Other than the above differences, all editions are identical except for the number of leagues that can be maintained. The Professional Edition has no more features or abilities over the Express Edition. Actually, you can create an unlimited number of leagues in each edition, however, any leagues created over the Edition Limit are restricted to five (5) weeks of use just as all leagues within an unlicensed edition.

If you decide to purchase GLS: Decide which edition you want. You can order GLS by email from within the GLS program. Click on the "GLS" Menu... then click on "Order GLS by Secure Email." An order form appears. Fill out the form completely and click the "Send Email Order Now" button. Your receipt and unlock code will be returned to you with 48 hours. Phone-In Orders are no longer an option.

Once you receive your Unlock Code, type this code in the box provided on the Registration page. Your GLS copy will now be licensed. See License Agreement for more details.


What's New!

Golf League Secretary Version 9.9x (GLS v9.0), is designed for the Windows operating systems, which includes Windows XL, VISTA, and Windows 7.

ALL ORDERS MUST be placed by email using the "Order GLS by Secure Email" feature OR by Ground Mail (USPS) using the "Create Mail-In Order From" feature. Phone-In Ordering is no longer available. See the website for details.

Because of limited tech support and customer service resources Golfsoft Company cannot be reached by telephone without a prearranged telephone appointment. The previous telephone number published in by Golfsoft Company can no longer be used. Callers to that number will be instructed to email a request for help or information. We have attempted to publish all pertinent information about this software within this help file and on the website. ALL QUESTIONS, ALL ORDERS, AND ALL OTHER MISCELLANEOUS CORRESPONDENCE MUST BE HANDLED BY EMAIL.

Always use Email as the first contact with Golfsoft Company. Please give your full name. Before emailing your question please check all available written information on our website (http://www.Golfsoft.com) or in this help file. Read the Troubleshooting page first. If after checking for new updates (patches), reading all the FAQ's on the website and the What's New page on the website, and after reading over the appropriate topics in this help file; you feel it necessary to talk with someone about a problem or unanswered question, then send an email requesting a telephone appointment. Give your Full Name, Telephone Number, and a couple of times it would be convenient to call you back when you can be at the computer where GLS is installed, and a brief description of the problem.. We will attempt to get back to you ASAP at one of times you give. Thank you for you cooperation.

NEW LICENSING AND PRICING PHILOSOPHY
Many golf leagues change league secretaries every couple of years. Rather than charge a higher initial license fee for our Golf League Secretary (GLS) application, we have adopted a policy of licensing on a lower priced subscription basis. Licensing subscriptions are based on a two-year cycle. A lower initial subscription fee (new users) is charged for the first two years and an even lower renewal subscription fee is charged to extend the subscription for an additional two years. During the subscription period a subscriber can download and install the latest version of GLS and all updates on their current computer(s) (up to 2 computers) and can download and install GLS on any new computers or new versions of Windows which they may acquire. This policy keeps subscribers up to date at the lowest cost.

We have also eliminated the Express Edition of GLS which allows up to 2 leagues, and now offer the Standard Edition which allows up to 4 leagues as the entry level application. Because of this revised policy, we have also eliminated the "Transfer" option which allowed a GLSL to be transferred to a new user. Instead, a new league secretary is treated as a new user with a new license subscription. There is no need for the "Move" or "Upgrade" options as any current subscriber can move GLS to a different computer at any time. All options depend on whether the user has a current subscription or an expired subscription. Current subscribers can download and install the latest version of GLS on up to two computers and can move GLS to other computers if needed.

NEW IN THIS LICENSE
1. Any GLS version 9.0 and older is no longer supported. This includes all versions of GLS released prior to 2008. Do not inquire about any problems or questions concerning GLS versions 1.1xx through 9.0xx. It is recommended that all users upgrade to the latest version (GLS v9.9xx). Go to golfsoft.com for information about how to upgrade, update, or move your GLSL.

2. A Golf League Secretary for Windows License Agreement ("GLSL") is classified as a two-year subscription. This is a simple process. New licensed users pay an initial 2-year subscription fee. When this subscription expires, it can be renewed for an additional two years at a reduced renewal cost.

3. The Express Edition of GLS has been eliminated. Only the Standard Edition (4 leagues) and Professional Edition (Unlimited leagues) are now available. The cost of renewing a subscription for the Standard Edition has been lowered to $35.00 for two years, the same as the previously available Express Edition.

4. Current Subscribers can now install the latest version GLS on up to two computers at the same time (receive two unlock codes) and can continue to move GLS from one computer to another as needed.

5. REINSTALL OR MOVE LICENSE POLICY: If your subscription is current, you can move your GLSL to a different computer at no charge and install the latest version available. The installation files for versions older than the current version (v9.0xx) are no longer available. If you do not have your original installation files you must renew your subscription and download the latest version of GLS. You can request (by email within the GLS program) a new unlock code at anytime for a different computer for the version you currently have licensed. Use the "Email Order Form" from within the GLS application to request new unlock codes or renew subscriptions. Once you receive a new unlock code, the previously issued unlock code will be disabled (“hard-coded” within the program) in all future GLS updates and upgrades.


Getting Started

ALL USERS READ THIS PAGE BEFORE STARTING.

You can press the F1 key at anytime to start context sensitive help.

First of all, please read the license agreement to understand the various editions, versions, etc. Also, please do not attempt to order the program (obtain a license) unless you are sure the program will work for you. The unlicensed version does everything the licensed version does except for not allowing you to go past 5 weeks of data entry for any league you create. That's it! Except for the opening and closing reminders that the program is unlicensed, the demo version and licensed version are the same. There is no pressing reason to order the program immediately or until you have used it for a couple of weeks.

If you are not sure if GLS will work for you read the trouble shooting page. The Number 1 Problem users have with this program is they set up the League, Players, or Schedule before knowing all the facts!. The Golf Course is no problem... just get a scorecard and input the yardages, pars, and hole handicaps. But steps 2 through 4 are different. They take information which only the league and players can decide. If you haven't already, print out the League Setup Checklist provided from the Setup Menu... Click Organizers.

There's nothing wrong with experimentation. It's the best way to learn how GLS works. Create one or more leagues before setting up your actual league. See how it works... create and print scorecards, enter results, calculate handicaps, check out the reports, run queries, etc., etc.

A Golf League has four basic ingredients: 1. A Golf Course; 2. League Rules; 3. Players (and/or Teams); and 4. A Schedule (Dates and Appointments). You set up your Golf League by simply inputting the required data for each ingredient. Information about your league must be entered in the following order.

  1. The Course: A league is not possible without a golf course, thus, it is the first setup item. Once a golf course is setup any league you access it

  2. The League: You have a golf course, now you need an organization with rules which is "The League."

  3. The Players: No players….No league, thus players are next.

  4. The Schedule: We must have a date and an opponent to make it interesting.

ENTERING ALL OF THE DATA REQUIRED TO SETUP THE LEAGUE IS THE MOST IMPORTANT AND CRITICAL PART OF GOLF LEAGUE SECRETARY. Bad or incomplete setup data can decrease the utility of GLS and possibly cause errors. The program will insist that some data be filled in before it will allow you to move on, it is required information. If you do not know or have not decided certain data or parameters you will have to cancel and start over. Other inputs can be changed or edited after the league is set up. It is important to take the time up front to know the answers to all the input questions required by GLS before setting up your league.

GLS provides a League Setup Check List in the Setup Menu under Organizers. This list provides all the questions you will have to answer to setup your league. This list is an excellent tool to take to the initial league meeting or meeting of the rules committee.

Many of the GLS help topics are, against all expert recommendation, too long and too "wordy." Please excuse this "flaw." It is to make up for the lack of printed documentation. It may be a good idea to print some of the longer topics, such as those on handicap, spreadsheet operation, and database manipulation, so that they may studied off line.


Sample Leagues

The best way to learn how to operate GLS is to spend some time with the Sample Leagues or create experimental leagues of your own, before entering your league data. Run the Scorecards, Enter Results, Update Handicaps, Run League Queries, and practice manipulating the spreadsheet outputs.

Open the GLS database in Edit Mode and Read Only Mode and look at the tables and records. Get a feel for how the database is organized and how the tables work together. Especially at first, do not try to be in a hurry! Double check your inputs before pressing the OK button. Incorrect data input will always be your worst enemy when working with any computer program.

ONCE THE SAMPLE LEAGUES HAVE OUTLIVED THERE USEFULNESS, you can DELETE them using the "Edit Menu" select "Delete League…".


Frequently Asked Questions

Golf League Secretary™
Frequently Asked Questions

This page lists some common questions which are asked about installing, purchasing, licensing, and general information our golf league software. Golf League Secretary is a somewhat complex Windows program which has been developed over many years. Golf League Secretary software offers unparalleled versatility. Once you become familiar with GLS, you will find it easy to use and very helpful in running your golf league. Send us an email for any questions you are not able to get answered here.

The Questions…

1How much does GLS cost?

 2How do I (license) register GLS?

 3I am having trouble downloading...

 4What and Where is the Computer ID Number?

5 My registered version became unregistered?

 6Can I transfer GLS to another person or computer?

 7How can POINTS be configured in GLS?

 8What's are the maintenance release updates?

 9How Version Updates are Numbered / Dated?

 10Does GLS work for all golf leagues?

 11Will GLS work on my computer?

 12Can I use my old v8.x league in the new version 9.0x?

 13Who wrote this program?

 14How do I contact Golfsoft®?

 15Can I use GLS on two computers?

 16Can GLS be licensed by my league or company?

 17What is the difference between the three editions?

 18How is the Demo different from the Licensed version?

 19Can I give a copy of GLS to other league secretaries?

 20Can GLS be uninstalled and how do I do it?

 21Is GLS sanctioned or approved by the USGA?

 22Is there a printed manual for GLS?

 23 Does Golfsoft® have any other software products?

The Answers…

How much does GLS cost? ........ ^back^ ...... ^ back to top ^
The Golfsoft Website has the official fee table and explanations of how registering and subscribing to GLS works.
Golf League Secretary™ for Windows®
by Golfsoft® Company
Fee Table:

Edition | Edition Limit | Subscription Fee (2 yrs) | Subscription Renewal (2 yrs)
Express | DISCONTINUED | na | na
Standard | 4 Leagues | $69.00 | $35.00
Professional | Unlimited | $149.00 | $70.00

All Fees as of January 1, 2010. Subject to change / All prices are before shipping if applicable.

How do I register GLS v9.x? ........ ^back^ ...... ^ back to top ^
See this webpage for instructions: http://www.golfsoft.com/how_to_order_GLS.htm

I am having trouble downloading GLS, can you send disks?... ^back^ ... ^ back to top ^ Disks or CD are NOT available for this program. The files you need can be downloaded from this website. If you are having trouble downloading GLS, please try to have a friend download the necessary file(s) for you. The downloaded files, when extracted, can be copied to CD or flash stick. Golfsoft Company is an internet based company. The fees for licensing the products are kept low because physical resources, such as disk reproduction and shipping, are not available.

What and Where is the Computer ID Number? ... ^back^ ... ^ back to top ^ All users must initially obtain Golf League Secretary in the download file in unlicensed form, also known as "The Demo Version," at no charge. You can evaluate GLS to ascertain whether it will achieve your intended results. The unlicensed version displays some reminders of its' unregistered state, otherwise, all major features are fully enabled. Upon deciding GLS will achieve your intended results, you can purchase a license. A unique "Unlock Code," a series of letters and/or numbers, similar to a password, will be issued to you. The unlock code is based on a "Computer ID Number" which GLS generates and is unique to your computer. All computers have a different Computer ID Number and require a different Unlock Code. Your license becomes active on a single computer when the correct unlock code is entered and the software becomes fully enabled. To locate this information, click on the "GLS" Menu... "Registration / Unlock..."

My registered version became unregistered?...^back^... ^ back to top ^
It is possible that the "GLS Computer ID Number can change. This can happen if you install GLS on a new or different computer or if a major hardware component, such as a hard drive, is added or replaced. Also, the ID NUM can change if the operating system is upgraded or reinstalled. For example, Windows XP to VISTA or Windows 7. Regardless of how this number changes, if the ID Num changes then the "GLS Unlock Code" changes since it is based on the ID Num. If you are a Current subscriber can install the latest version GLS (recommended) on up to two computers at the same time (receive two unlock codes) and can continue to move GLS from one computer to another as needed. Or you can request a new unlock code if necessary. All requests for subscriptions, renewals, and unlock codes must use the order form provided in GLS. Example: To receive 2 unlock codes requires 2 separate orders. The bottom line: Each request for subscriptions, renewals, and unlock codes, requires a separate order. Please do not send an email request for an unlock code. Use the order form... Of course, if you are a current subscriber, there will be no charge. Your receipt from Golfsoft gives the expiration date of your subscription. You can continue to download updates past the expiration date. If you keep GLS on the same computer, you may not need to renew for several years. However, if you require a new unlock code for any reason past the expiration date, you must Renew Your Subscription.

Can I transfer GLS to the new league secretary's' computer? ... ^back^ ... ^ back to top ^ New starting in 2010... The transfer option has been discontinued. We have eliminated the "Transfer" option which allowed a GLS License to be transferred to a new user. Instead, a new league secretary is treated as a new user with a new license subscription. See License for more information.

How can POINTS be configured in GLS? ........ ^back^ ...... ^ back to top ^ GLS offers many ways to set league points, and GLS will automatically calculate the points, on-the-fly as you enter weekly results, OR you can input any points you wish manually. There are 3 types of automatic points available for the league: 1. Individual Points; 2. Team Points; and 3. Match Points (which are actually a form of team points). Of course, for individual leagues only individual points are available. You decide how many points are awarded for the following categories. A more detailed description of points can be found elsewhere in this help file.

What's with the maintenance release updates? ........ ^back^ ...... ^ back to top ^ Software can probably never be perfect... "bug-free." You can expect GLS v9.9 to be updated to fix programming problems or to add new features. These updates are sometimes referred to as "patches" or "bug fixes". Most Updates fix minor problems which may or may not affect your particular configuration. Some Updates repair significant problems or add new program enhancements. Updates will continue to be released on our website until all known problems have been fixed. Please check periodically, and download the latest update. It takes only a few minutes to download and install the update, and will not affect any leagues you have set up or any work you have done. And the updates are available at no charge. The latest version number is always posted on our home page. Thank You for your patience…

How Version Updates are Numbered / Dated? ........ ^back^ ...... ^ back to top ^ GLS v9.900 will have a 4-digit version number. The first digit, left of the decimal, is the Major Version Number, currently 9 (nine). The other numbers, after the decimal, are the Minor Version Number. Currently, the first two digits will be 9 and 9, (Major Version 9 and Minor Version .9). Updates will append 2 digits to the 9.9 in sequence starting at 00, then 01, then 02, and so forth (9.900, 9.901, 9.902 etc.). Each Update will also include the date it was released. With this system there should be no confusion as to what version you have and whether or not it is the latest version.

Does GLS work for all golf leagues? ........ ^back^ ...... ^ back to top ^ GLS cannot do everything. That would be impossible. If it can't do something, it can't be forced to do it. GLS works best for leagues that have set players, set teams, and a set schedule. GLS does not work with leagues that have different players every week or if playing the round is optional. GLS does not work for leagues that change partners periodically or if the players "just kind of show up when they feel like it." GLS is not recommended for leagues where players can play any course they want or turn in the scorecard whenever they feel like it. Also, GLS, does not handle a mixed type league where it is necessary to have different hole handicaps for different players. Everyone must play the same golf course. They can tee-off from different tees, but the hole handicaps must be the same for everyone. GLS will not automatically calculate some types of points. For example, some leagues award points for showing up to golf. GLS will not calculate this automatically, however, you can manually enter team or individual points as you please. GLS will not handle leagues with 3-person teams, it only works for individual, 2-person teams, and 4-person teams. It can't be coaxed to work for other such leagues. In order for GLS to work properly, the course handicaps for 18-hole courses must be odd numbers 1 through 17 on the front, and even numbers 2 through 18 on the back. For 9, 27, and 36 hole courses the handicaps holes are numbered 1 through 9 for each nine. GLS will not accept hole handicaps that do not comply with this requirement, however, it is easy to convert your league to this format. There are probably many other league rules that GLS will not handle. Can you believe one league actually awards points if the temperature is below 40 degrees! It's true. If you are not sure if GLS can handle your league email us with the league specifics. We may tell you GLS is not recommended or we may have some ideas to make it work.

Will GLS work on my computer? ........ ^back^ ...... ^ back to top ^ Minimum System Requirements:
Recommended requirements for GLS are the same as the requirements for Windows XP / VISTA / Windows 7. See your Windows documentation for more information.

Can I use my old v8.0 and v8.9 league in the new version 9.9? ........ ^back^ ...... ^ back to top ^
Older versions of GLS (versions 1.1 through 9.0) will no longer be officially supported in any way. You can still request an unlock code for these versions. We recommend you upgrade to the latest version. Please do not report or inquire about any problems or questions you may have about any GLS version older than v9.9... Instead, upgrade to the latest version... Thank You!

Users of older GLS versions will have to download and install the new FULL VERSION of GLS v9.9xx. The new version will be copied to its' own folder and will be separate from the older version. It is recommended that you uninstall the older version before installing the new version. Make sure you have backups of any custom scorecard or weekly report templates and copies of any reports you wish to keep. They can still be used. Also, any spreadsheets or reports created in an older version can be opened in the new version, so save any old reports to disk. With the new version, your UNLOCK CODE WILL CHANGE and A SUBSCRIPTION RENEWAL WILL BE REQUIRED if you use this option.

Who created this program? ........ ^back^ ...... ^ back to top ^
The Author: Bill Uffelman, 59, President, Golf Plus, Inc., Grand Blanc, MI 48439., MBA (1976) Western Michigan University. Previously held various positions in industry related to marketing research, advertising, and motivational training. Computer programmer and consultant. Turned Golf Professional 1982. Served as golf league secretary for several years, keeping all league records in Microsoft Excel spreadsheets. Inability to find existing windows league software led to obsession to produce Golf League Secretary for Windows and start Golfsoft® Company in 1992.

How do I reach Golfsoft® Company? ... ^back^ ... ^ back to top ^
Because of limited tech support and customer service resources Golfsoft® Company cannot be reached by telephone without a prearranged telephone appointment. We have attempted to publish all pertinent information about this software within the GLS help file and on this website. There may be, in the near future, a telephone number posted where you can call and leave a message on an answering machine. Until then, ALL QUESTIONS, ALL ORDERS, AND ALL OTHER MISCELLANEOUS CORRESPONDENCE MUST INITIALLY BE HANDLED BY EMAIL. Thank You!

Golfsoft® Company
1518 W. Grand Blanc Rd.
Grand Blanc, Michigan 48439
Email: info@golfsoft.com
Can I use GLS on two computers? ........ ^back^ ...... ^ back to top ^
Current Subscribers can now install the latest version GLS on up to two computers at the same time (receive two unlock codes) and can continue to move GLS from one computer to another as needed.

Please remember: It is not necessary to have a registered copy of GLS on a second computer if all you wish to do is open, view, edit, or print, reports which are created in GLS. Only the computer where scorecards are created, scores are entered, and reports generated needs to be a licensed copy of GLS. You or your league members can use the Golfsoft Client Viewer program (no charge) for the purpose of opening, viewing, editing, printing all the reports and spreadsheets that are created using a licensed copy of GLS. The Client Viewer has all the spreadsheet and printing features of GLS without the golf related features. Please check it out. Download and install it...

It is not recommended to have GLS on two machines. If you go this route, be careful to keep your two database synchronized properly. If you decide to run a league on two different computers a loss of data could occur if you copy over a database file which is more current than the file you are pasting. All the league data is held in the file gls90db.mdb. This file can be moved (copied) back and forth from one computer to another into the GLS9/database folder. Be careful to also back up your database before moving or pasting this file.

Can GLS be licensed by my league or company? ...... ^back^ ..... ^ back to top ^ Licenses for the Express and Standards Editions of the "Software" are NOT ISSUED to entities such as corporations, companies, clubs, groups, leagues, associations and so forth. The Express and Standards Editions of the “Software” are licensed for personal use only, by ONE (1) person , on a single computer. The Profession Edition of the "Software" can be licensed to entities such as corporations, companies, clubs, groups, leagues, associations and so forth.

What is the difference between the three editions? ...... ^back^ ..... ^ back to top ^ Golf League Secretary is available in 2 Editions. Starting in 2010 the Express Edition has been eliminated. See License Agreement for more details.

Software Editions: The "Software" is available in 2 Editions: Standard and Professional. Both Editions have the same features and capabilities except for the number of leagues that can be maintained within the program. The Standard Edition, for example, which is used by most licensees, allows maintenance of up to 4 leagues. Only League ID numbers 1 through 4 can be used beyond 5 weeks. All created leagues other than League ID Numbers 1 through 4 are limited to 5 weeks of data entry. The 6th week cannot be entered for that league. Leagues with ID numbers 1 through 4 can be deleted to make room for another league thus making the "Software" reusable indefinitely. If a league with ID number 1 through 4 is deleted, a league with a higher number can be changed, within the application to become a legal league. The Professional Edition allows an unlimited number of leagues and all League ID numbers can be used beyond 5 weeks.

Edition | Edition Limit
Express | 2 League
Standard | 4 Leagues
Professional | Unlimited

How is the Demo Version different from a licensed version? .. ^back^ .. ^ back to top ^ The unlicensed demo version is exactly the same as the licensed version except for not allowing you to go past 5 weeks of data entry for any league you create. That's the only difference! Except for the opening and closing reminders that the program is unlicensed, the demo version and licensed version are the same. There are no pressing reasons to order the program immediately or until you have used it for a few weeks.

The demo version can be Uninstalled or Converted to a Full Registered Version by typing in the correct "Unlock Code" in the "Registration Screen" under the "GLS" Menu. The "Unlock Code" then becomes the Registration Number. Each computer has a unique Computer ID Number and "Unlock Code." To register, Go to the GLS Menu and click on "Order by Secure Email."

Can I give a copy of GLS to other league secretaries? ........ ^back^ ...... ^ back to top ^ We appreciate your telling your friends or anyone who may be interested about Golfsoft® and Golf League Secretary™. They can get more information and download the latest version of GLS from this website.

Can GLS be uninstalled and how do I do it? ........ ^back^ ...... ^ back to top ^ When you install Golf League Secretary v9.9 for Windows a file is created called INSTALL.LOG which contains all the files that were loaded during installation. If you would like to see this file, it can be viewed in Notepad. The GLS v9.0 Uninstall Program, UNGLS90.EXE, reads the install.log and uninstalls, (deletes), the program and data files that were installed less any shared components which are used by other programs on your computer.

To Uninstall GLS v9.x:
1. From the Start Button Click "Programs." Click on the Golfsoft® Group and double-click on the Ungls90.exe or Uninstall icon.
2. From the Uninstall Dialog Box, Click Automatic (recommended) to automatically delete all files installed by the GLS v9.x installation program. Click Custom to have control over the uninstall process. Click Cancel to close the Uninstall Program without any changes.

If other programs appear to use any of the files to be deleted, you will be prompted to decide whether or not to delete the file. Unless you sure it is OK, you may not want to delete any file which may be used by other programs.

Is GLS sanctioned or approved by the USGA? ........ ^back^ ...... ^ back to top ^ The United States Golf Association (USGA), has NOT in any way approved or endorsed this program, nor has such an approval been solicited. The USGA is the sole governing body that establishes handicap parameters and the requirements for maintaining a certified handicap. The USGA controls and sanctions the issuance of official handicap cards that can be used in events at any golf course with an official slope or stroke rating. GLS, or any golf software which is operated by anyone other than a certified golf association or club cannot issue handicap cards or establish a certified handicap. A handicap established by Golf League Secretary can only be used within this golf league. GLS cannot, by law, and does not create or issue handicap cards for league members. Your members can, however, submit their league scores to a certified USGA club. Call the USGA in Far Hills, New Jersey for more details...

Is there a printed manual for GLS? ........ ^back^ ...... ^ back to top ^ Printed Documentation is not available at this time. All the effort of preparing this program has gone into programming and testing. We have attempted to make the On-Line Help File a comprehensive explanation of how GLS works and what it can do. You may find it helpful to print some of the Help Topics if a hard copy is helpful for you.

Does Golfsoft® have any other software products? ........ ^back^ ...... ^ back to top ^ Golf League Secretary for Windows our only product at this time. Our next planned products will be Golf Team Secretary™ for Windows, a program designed specifically for high school and college golf coaches; Golf Handicap Secretary™ for Windows, a program designed for golf outings and tournaments, and Golfers' Secretary™ for Windows, a program designed to track an individual golfer(s) statistics. Other products are planned including a program to specifically run a scramble tournament and a golf club handicapping program.


Golf League Secretary Support Questions

Golf League Secretary™
Frequently Asked Technical Support Questions

1 The stroke hole "tick marks" are not appearing on the scorecard?

2 The handicaps do not seem to change when I run the handicap report?

3 I am getting a warning that my league is "illegal" and will be disabled even though I have a registered version...

4 We have a 27 hole golf course and the Weekly report is not showing the correct nine played...

5The schedule does not seem to handle dates correctly or as I would expect...

6How do I get Tee Times to automatically appear on the Pairing Sheet, Scorecards, and Schedule?

7 The matches are not coming up on the correct nine. How do I set which nine matches are played on...?

8 We have two flights in our league which do not play each other. How do I set the schedule for this...?

9 I'm starting the new season, how to I get the league to work again for this year?

10 How do I change my course data without starting over? I made a mistake in the yardage for one hole.

11 How do I reschedule a week to a later date?

12 Everything seems to be screwed up! We changed the number of players and teams and now nothing works! Help!!!

13 We award bonus points if a player shows up for golf. Will GLS automatically calculate these points for me?

14 How can I set up my Scramble (or Best-Ball) league?

15 The Matersheet is not being saved automatically after entering all weekly results?

16 Can I create two scorecards on the same page?

17 What is the best way to save my reports (spreadsheets) as Web pages so I can display them on our website?
The Answers…

1 The stroke hole "tick marks" are not appearing on the scorecard? ........ ^back^ ......
For "tick marks" to appear on scorecards the Hole Handicaps must be on the Scorecard Layout File AND GLS must know where to find them by having the correct cell coordinates listed on the Template File. The location of the Hole Handicaps must be posted in the "Front 9 Hole Handicaps" section of the Template File. For 18 hole leagues the following must also be set in the "Back 9 Hole Handicaps" section.

The Template must also tell GLS where to place the "tick marks." This information is held in the "Team 1 Front 9 Strokes" and "Team 2 Front 9 Strokes" sections. For 18 hole leagues the following must also be set in the "Team 1 Back 9 Strokes" and "Team 2 Back 9 Strokes" sections.

Open the layout file and template file to make sure they are configured properly.

2 The handicaps do not seem to change when I run the handicap report? ........ ^back^ ......
Check the options on the Calculate Handicaps page. If the first option is selected GLS will not change or update handicaps. This is useful if you set the handicaps manually for the first week and do not want the handicaps to change until a set number of weeks is played. The handicap report shows all the "adjusted" scores. You may want to run the report without changing the handicaps. If this option is not selected, the handicaps will be calculated based on the handicap parameters.

Other Handicap Information: If a handicap is blank (null or not established) at the time you attempt the post the scores, GLS will calculate and insert a handicap based on the Players Adjusted Score for that match, times the League Percent of Handicap Used. If you do not want GLS to determine the handicap then you must provide a handicap at the time of posting or by manually setting the handicaps in advance. Simply enter a handicap for the player at the time scores are being entered and re-calculate. SCORES CANNOT BE POSTED WITHOUT A HANDICAP.

3 I am getting a warning about that my league is "illegal" and will be disabled even though I have a registered version...... ^back^ ... In the Standard Edition, for example, only league ID's 1 through 4 can be used past 5 weeks. I'm assuming your league is number 5 or higher... If league id numbers 1 through 4 are already used, you must delete one. Select the league you wish to delete from the League List Box... then Go to the Edit Menu... Database... Delete... Delete League.. Next, Change your league ID number to a number lower than 3... To do this... Go to the Edit Menu... Database... Change League ID Number... Once you change the ID to either 1, 2, 3, or 4 then you should have no problem.

4 We have a 27 hole (or 36) golf course and the Weekly report is not showing the correct nine played... ... ^back^ ... GLS, when printing the header for the Weekly Report, only recognizes the first nine and second nine. It does not print the 3rd or 4th nine as does the mastersheet. The scores and points are correct. Everything below the header is correct, however, the header is wrong. The hole numbers, yardage, handicap hole number, etc. When you play the 3rd or 4th nine you will have to paste in the proper header. You can copy this correct header from the mastersheet OR Save a copy of the Weekly Report and name it "Header3rd.gls." Now make the changes to the hole numbers, handicap holes, yardage, etc... Then SAVE to location you can find it easily. Now, you will have a different header to paste into the Weekly Report that shows the correct hole numbers, yardage, and handicap number. Again, the numbers below, player scores, etc. are correct. It's just the header on the report that is wrong. This is a quirk with courses of more than 18 holes that hasn't been addressed yet. Store the custom headers in a spreadsheet where you can open it quickly... copy... and paste it over the incorrect information. This should solve the problem. Sorry for the inconvenience... it will take an extra 20 seconds each week...

5 The schedule does not seem to handle dates correctly or as I would expect...... ^back^ ... This problem may be caused when the Windows System default "Short Date" Format is set to MM/dd/yyyy. Most system short date settings are set to MM/dd/yy or M/dd/yy where instead of having the full year (2001) displayed such as 01/01/2004, the short date format is 01/01/04. In order the change this system format go to the Start button... Settings... Click on Control Panel. When the Control Panel folder is open, double-click on "Regional Settings" or in Windows XP click on "Regional and Language Options." the in XP click the "Customize" button. Click on the "Date" Tab which runs across the top of the dialog box. Change the Short Date format to MM/dd/yy and Click on Apply. Restart Your Computer. GLS should now recognize the proper date format.

6 How do I get Tee Times to automatically appear on the Pairing Sheet, Scorecards, and Schedule?........ ^back^ ...... Go to Setup Menu... Schedule... Set Tee Times. Click option button "Yes" to allow for tee times. Set first tee time. Set number of minutes apart. Click button to automatically set all tee times.

7 The matches are not coming up on the correct nine. How do I set which nine matches are played on...?........ ^back^ ...... The nine played by each match is determined by the settings in the database table named "SchedNine." Please open this table in edit mode and set each match for each week manually. Make it a 1 for the front nine and a 2 for the back nine. This will solve the problem. This can be done in Schedule Setup. The nine played is color coded.

8 We have two flights in our league which do not play each other. How do I set the schedule for this...?........ ^back^ ...... If the flights don't play each other then you actually have two leagues not two flights. It is possible to manually set the schedule so that certain players or teams only play other certain players or teams, however, the key word is manually. GLS will not AUTOMATICALLY create a schedule like that... So, you can either manually set the schedule or Create two separate leagues. Also, we can provide you a custom schedule for this type of setup. Let us know you league setup and we will create and send you a template for your unique setup. This type of league requires that once the divisions are set at the beginning of the season, teams and/or players CANNOT move to the other division during the season. It IS NOT necessary to have an equal number of teams or players in each division. It IS necessary to have an even number of teams or players in each division. If you create two separate leagues you can combine the 2 YTD reports into 1 by copying and pasting...

9 I'm starting the new season, how to I get the league to work again for this year?........ ^back^ ...... If you have a league from last season, you still have to go through the League Setup. In other words, start a New League. The golf course will already be setup and will not have to be setup again. Follow the same procedure as last season. Trying to make the old league work for this year, can create more problems than it is worth, you will save time in the long run by starting over.

Create a new league. You can give it the same name as last season, and all the same settings.

Then go to Player Setup. During player setup you can import the name and other personal data from the old league. You will see a list box with all the available leagues. Select last years league. All the players from last year will appear the players list box. You can select the players. All this does is save you from re-typing the players names and personal data. Next go to Schedule Setup and set the new schedule.

If you want to use last years handicaps or some or all of last years scores, you will have to the go to Outside Scores Setup. Each player will be listed and you can enter up to 20 outside score indexes (number of strokes over par). These will be used to calculate handicaps.

10 How do I change my course data without starting over? I made a mistake in the yardage for one hole....... ^back^ ...... The course data must be edited directly in the database. Go to the Edit Menu... Database... Edit League Tables. There are 4 tables which hold the course data. The "Courses" table has the general course info including the CourseID Number. Open this table in Edit Mode. The "CoursePar" table has the par for each hole, the "CourseHandicap" has the handicap hole numbers, and the "CourseYards" has the yardage for each hole. You can make changes directly to each table. It's a snap!

11 How do I reschedule a week to a later date? ... ^back^ ...
In Schedule Setup there are several ways to handle a rainout or postponement.

1. Delete the week (league plays one less week). Simply select the date to be canceled and click the "Delete Week" button.
2. Reschedule to another week (change the date, league plays same number of weeks). In Schedule Setup, change the date to the new date and click the "Sort Weeks By Date" button.
3. Postpone to next week and add a week to the end of schedule (same number of weeks). Select the date to be shifted forward and click the "Shift Dates Ahead 1 Week" button.
4. Postpone to next week, however delete another future week (league plays one less week, and ends as scheduled. This is a combination of two actions from above. First do Number 3 above, then do Number 1. You shift the weeks forward then delete any week in the future.

12 Everything seems to be screwed up! We changed the number of players and teams and now nothing works! Help!!!... ^back^ ...
This appears to be a case where it is best to start from scratch. Start over! Create a new league, set the players up, set the schedule up and go. Trying to take "short cuts" can create problems and you'll spend more time trying to make it work than if you just create a "fresh" league setup. This program is running excellent for 99% of all users. Many problems are caused by deleting or editing the database...

Most of the problems users have with GLS are caused by trying to make the program do something it was not designed to do... Some problems occur because of a misunderstanding of what GLS can and cannot do. It cannot do everything. That would be impossible. If it can't do something, it can't be forced to do it. GLS works best for leagues that have set players, set teams, and a set schedule. GLS does not work with leagues that have different players every week or if playing the round is optional. GLS does not work well, if at all, for leagues that change partners periodically or if the players "just kind of show up when they feel like it." GLS is not recommended for leagues where players can play any course they want or turn in the scorecard whenever they feel like it. Also, GLS, does not handle a mixed type league where it is necessary to have different hole handicaps for different players. Won't work! Everyone must play the same golf course. They can tee-off from different tees, but the hole handicaps must be the same for everyone. GLS will not automatically calculate some types of points. For example, some leagues award points for showing up to golf. GLS will not calculate this automatically, however, you can manually enter team or individual points as you please. GLS will not handle leagues with 3-person teams, ONLY individual, 2-person teams, and 4-person teams are allowed. It can't be coaxed to work for leagues with 5 or more players on a team. In order for GLS to work properly, the course handicaps for 18-hole courses must be odd numbers 1 through 17 on the front, and even numbers 2 through 18 on the back. For 9, 27, and 36 hole courses the handicaps holes are numbered 1 through 9 for each nine. GLS will not accept hole handicaps that do not comply with this requirement. There are probably many other league rules that GLS will not handle. One league actually awards points if the temperature is below 40 degrees! It's true. Obviously, GLS cannot do everything that people can possibly think up... If you are not sure if GLS can handle your league email us with the league specifics. We may tell you GLS is not recommended or we may have some ideas to make it work.

13 We award bonus points if a player shows up for golf. Will GLS automatically calculate these points for me?... ^back^ ...
GLS cannot automatically determine "bonus" points based on net score. You would have to enter these manually. When you calculate a match, GLS automatically adds the scores, the nets, the adjusted, etc. It also calculates the points (those which it can). If you would like to add more points you can insert them manually as User-Defined Points. You can enter User-Defined Individual Points or Team Points. To make this feature available go to the Points parameter setup wizard from the Setup Menu.

14 How can I set up my Scramble (or Best-Ball) league?.......^back^......
In order to run a "Scramble" or "Best-Ball" league in GLS, the teams must be considered as individuals. The league type must be individual, versus 2-person team or 4-person team. Thus, if the scramble or bestball team consists of John Jones and Tom Smith, the team is entered as an individual named Jones-Smith. In this setup, do not think of teams...think of individuals. This is only natural since the "team" is posting 1 score per hole and 1 total score. Their combined scores is the basis for their combined handicap. Substitute players are handled the same way. If Bob Johnson subs for John Jones, then the substitute "players" name is either Johnson-Smith or Smith-Johnson. Remember think in terms of individuals not teams. In this case you will setup a sub named Johnson-Smith and assign them a handicap. So in other words, the individual player named Jones-Smith has a substitute named Johnson-Smith. Then handicap report will show these two "teams" as totally separate players. If Bill Nelson subs for Smith, then we need to setup a sub named Jones-Nelson, etc.

15 The matersheet is not being saved automatically after entering all weekly results?...... ^back^ ......
If the mastersheet is not being saved you must create a folder named "Mastersheets" (must be spelled correctly) in the "Golfsoft/ GLS9/ WeeklyReports" folder. Open Windows Explorer and select the "WeeklyReports" subfolder then from the "File" Menu click "New... New Folder" then type in "Mastersheets." Once the "Mastersheets" folder is created, the mastersheet will be saved automatically to this folder.

16 Can I create two scorecards on the same page?...... ^back^ ......
You can create 2 scorecards on one sheet of card stock or paper. If you use the Standard Template and Layout files GLS will handle the 2-up cards automatically. If you use a custom template and layout, use the same custom template file, however, a new custom layout must be created which has 2 copies of the scorecard, one on top of the other. Also, GLS must know how many rows separate the two cards. The numbers of rows must be entered on the Create Scorecards initial screen.

Creating a 2-Card Custom Layout File: You can easily create this new layout by opening the existing layout and converting it to handle two cards. Open the existing Custom Layout File that you are now using. Rename it. For example, if the original layout is named "mylayout.gls" then name the 2-card layout "mylayout2.gls." Select the entire range of cells for the scorecard layout... In other words select from cell A1 to the bottom right cell of the scorecard, then while holding down the Control (Ctrl) Key, select the upper/left single cell where you want the bottom scorecard to be placed. You will now have the entire scorecard selected and a single cell where the bottom scorecard will begin. Keep at least one cell between the top card and the bottom card. This is the "in between row" which will be used for spacing and separation of the two cards.

Then from the Edit menu click "Copy and Paste Data, Cell Types, and Formats."
An exact copy of the top scorecard, except for the Row Height, will be pasted to the new location . Next, select the range of cells which make up all the rows of the top scorecard. From the Edit menu click "Copy Row Height." Then select the first row of the bottom scorecard and from the Edit menu click "Paste Row Height." The 2 scorecards will now be exactly the same.
Next, you must count the number of rows that separate the cards. Select a cell in the top scorecard, preferable one which has text or another identifiable trait. Using the "down arrow," count down one row at a time until you reach the same cell in the bottom scorecard. Remember the number. Now when you create scorecards you will be required to input this number if you select "Custom Template" option and the "Print 2 Cards on One Sheet" option. You will only have to do this the first time as GLS will automatically remember your settings the next time.

It is now a matter of adjusting the separation row to fit the size of stock you are using and to give a suitable border between the cards when they are cut in two. After creating the new 2-card custom layout, look at it in print preview and print it to see if any further adjustments are needed. Now you have a new custom layout file which will product two scorecards on the same page. Again, you will use the same Scorecard Template File you have been using...

17 What is the best way to save my reports (spreadsheets) as Web pages so I can display them on our website?...... ^back^ .....
After you save a spreadsheet as a ".gls" file, you can save it as a Web Page, also known as an HTML document. Actually the proper term is "export" as an HTML document. It's called exported because the spreadsheet can be saved as HTML and viewed in a browser on the web or intranet, but a web page cannot be opened as a spreadsheet or report in GLS. The file is exported for use in another program. Spreadsheets, when saved as HTML, appear as a table in a web browser. This will allow you to post your reports or results on the web or intranet. To save (export) a GLS spreadsheet as HTML: From the File Menu select Save; then in the "Save as type" drop down list box select the "Export as Web Document (*.htm); then HTML Document a name; then Click the Save Button. You now can view the saved file in a browser and post it to the Internet or send it as HTML Email.

You will notice that the document has the column and row headers and gridlines. If you do not want these to appear you should first delete (or hide) them on the original spreadsheet before you save the document as HTML.

Also, you may get better results by first exporting your GLS spreadsheet as an "MS Excel Spreadsheet (*.xls)," and opening it in Microsoft Excel. It is exported as a "Protected" sheet so you will need to "Unprotect" the sheet before you can edit it in Excel. Now you can save the sheet as a "Web Page (*.htm, *.html)." I have found that using Microsoft's more sophisticated save feature gives better results. Experiment for yourself.


Golf Course Setup

  1. Click on Course Setup icon from the Setup Toolbar or click on "Course Setup" from the Initial Setup Menu.

  2. Fill in all the pertinent data and information. The Course ID Number is determined by GLS. ID numbers start at 1 and GLS takes the lowest available number.

  3. Course Name and Number of Holes is required information. The others are optional. If you plan to use the "USGA-type" formats such as "Equitable Stroke Control" then you must fill in Course Rating and Slope Rating. Check with the club pro for these ratings.

  4. Once you have completed data entry and all information is correct, click on Next >> to go to next screen. You can click on Cancel to cancel any pending actions or exit Course Setup Mode.

You are now ready to input the League Data under "League Setup"


Golf League Setup

The League Setup is the most involved setup and requires more decisions be made than the other setup modes. Your decisions, for example, will determine how handicaps, points and forfeit matches are calculated. These parameters are usually determined by a Rules Committee. If this or other league parameters require a committee decision make sure a meeting is held and all parameters are decided on before running League Setup. The League Setup Check List in the Setup Menu under Organizers is available to help provide the parameters of your league. IT IS BETTER TO KNOW THE ANSWERS UP FRONT BEFORE RUNNING LEAGUE SETUP. It is possible, however, to make changes to the league parameters in Database Mode after the league is set up.

You can decide the method in which you will enter scores. The Hole-By-Hole Method (default / recommended), or the Simplified Method (new). The Simplified Method requires that you only enter the total score and points for each player. You do not have to key in the results hole-by-hole. The Simplified Method, thus, cannot calculate points or adjusted scores automatically, as is the case with the Hole-By-Hole Method. If you select the Simplified Method, you must input scores using the Scoresheet Method (new). Basically, the Scoresheet Method of data entry allows you to enter scores on a single page versus entering scores a match at a time in order of how they are played. Scores can be entered in any order. This method is ideal for those who want to enter results at the golf course as the players turn in their cards.

Opening Screen (Basic parameters)

  1. Fill in all the requested data. The League Name, Course Name, Holes Per Match, and Persons Per Team are required information. If yours is a scramble or bestball league, then under the Persons Per Team select One (1). See Below for more details...

  2. Press Continue to go to next screen or Cancel to quit League Setup and Delete all data entered so far...

Second Screen (Miscellaneous league parameters)

  1. Set the number of players; league day; first tee time; and minutes between groups...

  2. If 9-hole league then enter how the league tees off each week. (Required)

  3. Does your league have Team and Individual matches?

  4. Does your league track putts, greens, or fairways, or all of the above?

  5. Tee Off Times? Or Tee Off as they arrive...

  6. Enter data and continue to next screen...

For 4-person team leagues, a screen will appear at this point to ask for "Match Setup". It will determine how players are paired in the matches. Options allow the 1-person and 2-person from each team play each other, and the 3 and 4 person play each other OR you can select 1 and 3 or 1 and 4.… Match Setup can be changed each week, if desired, under the Match Maker option. Select an option from the list.

Third Screen (Handicap parameters)

  1. Select the way your league will adjust scores or accept the Default of "Do Not Adjust."

  2. Enter the percentage of Handicap Allowed or accept the Default of 100%

  3. Select which adjusted rounds are used or accept the Default of "Use All Rounds."

  4. Enter Maximum Strokes allowed if applicable, or accept the Default of "No Maximum."

  5. Press OK to create the League Database.

In order to run a "Scramble" or "Best-Ball" league in GLS, the teams must be considered as individuals. The league type must be individual, versus 2-person team or 4-person team. Thus, if the scramble or bestball team consists of John Jones and Tom Smith, the team is entered as an individual named Jones-Smith. In this setup, do not think of teams...think of individuals. This is only natural since the "team" is posting 1 score per hole and 1 total score. Their combined scores are the basis for their combined handicap. When in "Player Setup", the "player's" first name will be Jones or J.Jones or even John Jones. The player's last name will be Smith or T.Smith or Tom Smith. You could even name them after their sponsor or any other name such as, "The Intimidators." If you would like a hyphen (-) to appear between the names then add it to the end of the first name or the beginning of the last name.

Subsititute players for scrambles or bestballs are handled the same way. If Bob Johnson subs for John Jones, then the substitute "players" name is either Johnson-Smith or Smith-Johnson. Remember think in terms of individuals not teams. In this case you will setup a sub named Johnson-Smith and assign them a handicap. In other words, the individual player named Jones-Smith has a substitute named Johnson-Smith. Then the handicap report will show these two "teams" as totally separate players. If Bill Nelson subs for Tom Smith, then we need to setup a sub named Jones-Nelson, etc.

You are now ready to input Player Information under "Player Setup"


Player Setup

There can be two types of players in a league: 1. Regular Players, and 2. Extra Players. GLS allows extra players to be added to a team. Extra Players show up on the handicap report and individual standings. Initially however, Only Setup Regular Players during Player Setup. Extra Players can be added after the League and Regular Players are setup.

Click on the initial Player Setup Button or from the "Setup" Menu select Player Setup to enter Player Data into database.

The straight forward screen has data entry boxes for First Name, Last Name, Address, and Phone. Initially only the First and Last name are required, so that a player ID's can be assigned by GLS. If you don't have all the address data, you can add this later, if at all, in Database / Edit Mode. Enter the Player Data then Click on "Add Player..."

You can copy player files from other leagues in the database. Select a league from the League List, then select a player from the Player List. Press the "Enter Player" button to insert player data in the setup form. To add the player to the database, Click on "Add Player…"

IMPORTANT Players must be entered in order of Team Numbers. The first player entered should be Player A, Team 1. The second player entered will be Player B, Team 1, then Player A, Team 2, etc. Also, GLS sets the 1-man, 2-man, 3-man, and 4-man according to handicap. By default, the lowest handicap player on a team is the 1-man, regardless of the order in which the players were entered. This can be changed once everything is setup...

You are now ready for "Schedule Setup"


Schedule Setup

Within Schedule Setup (See Figure 1), you can set the Dates for the matches; set the Date Type (Regular or Position Round); set which Season (1st Half or 2nd Half), and set the Team or Player Matchups. You can create the initial schedule or you can edit an existing schedule, such as for rainouts or cancellations.

  1. Click on the "Schedule Setup" button on the "Setup Toolbar, or from the "Setup Menu." GLS Schedule Maker displays a grid showing the week number; the Date; the Date Type (i.e. whether it is a Regular Round or Position Round); and the Player or Team Matchups. M1T1 is Match Number 1 Player or Team Number 1; M1T2 is Match 1, Player or Team 2; etc.
  2. The first task, if not already set, is to set the Number of Weeks in the league. Count only Regular and Position Rounds. GLS cannot handle "non-counting" matches such as "Fun Nights." Enter the number of weeks in the box provided then click the "Set Number Of Weeks" button. GLS will automatically create a row (record) for each week.
  3. Next, set the Dates for each match. This can be accomplished by either typing in the date in the date column or selecting a date from the date text box using the "pop-up" calendar. As a convenience, you can set any date, then press the "Auto Enter Dates" button to fill in all dates below that date. These dates will be set 7 days apart. If this feature does not work click the Help button on the schedule setup form for more information about dates. After the dates are set...
  4. Set the Date Type for each week. This can be either "Regular," "Position" Round, or "Final Position Round." The Final Position Round is a special round which can only occur the very last week of a league and can only be used in leagues which have a first and second half. The Final Position Round is not part of the 1st or 2nd half, it is separate, and is usually used to figure an overall champion(s). If you want the position round points to count toward the 1st or 2nd half select "Position Round," not "Final Position Round."
  5. Next, select whether or not the week is part of the 1st or 2nd Half of the Season. All 1st's must occur before any 2nd's appear. If you do not have season halves, then disregard this column.
  6. Click on "Create MatchUps" to generate a proposed schedule representing each team opposing all teams at least one time. For 4 and 6 (players or teams) the proposed schedule has each player or team opposing each other 3 times. For 8 and 10 (players or teams), the sample schedule has each team playing all others twice. If GLS does not fill in all the matches, you will have to manually insert the matchups. You can copy matches from filled-in rows above into blank rows below. Leave Position Round Blank. These matchups will be determined by the League Standings at the time of the match.
  7. Keep the proposed schedule or Edit the proposed schedule. You can change the matchups to your specifications. Make sure your revised schedule is correct. In other words, don't have the same team playing twice in the same week. It will cause problems (errors) later! GLS disregards any data or typing entered below the last week of the schedule. Sometimes matches will be pasted below the last week of the schedule. This will happen for sure if you do not play enough weeks to play each team at least one time.
  8. Select Which Nine Color Code. For 9-Hole Leagues or Leagues at Courses with more than 18 holes, you can select which nine each match will be played. Select the matches that will be played on the Front Nine and then click on the button labeled "Front Nine." You will notice that the cells will be the same color as the Front Nine button label. Open a sample league schedule to get an idea of how this works. The results of this procedure, that is, which nine each match is played on is stored in the table "SchedNine" for the league. Look at this table to see how it is organized.
  9. Click on "Save to Database" to accept the schedule. Click on "Save as Spreadsheet" to create a copy to be printed or viewed.

Figure 1 - Schedule Mode

Some Tips: The easiest way to set the schedule, of course, is simply to accept the default proposed schedule provided. You can come back to Schedule Setup at any time to make changes. In fact, this is how you edit the schedule for rainouts or postponements or cancellations. You can also Add Weeks to the schedule. Simply increase the number of weeks in the Number of Weeks Box and click "Set Number of Weeks." This will add a row or rows to the bottom of the schedule. You can now fill the dates and other necessary data for the new weeks. Week Numbers are the critical factor in the schedule. Always keep weeks in consecutive order. You can change the date...but don't change the week number. Don't skip a week number.

You will notice that after you have played 1 or more weeks and go into "Schedule Setup,." the weeks already played do not appear on the schedule. Once a week is in the books you cannot edit that weeks schedule. The date has already past, the matches were already played... there is nothing to change. The "missing" weeks did not disappear, they are still in the database. If you were to "Delete Last Scores Posted," in other words delete the last week played, then open 'Schedule Setup"... That week would miraculously appear...


League Points Setup

GLS offers many ways to set league points, and GLS will automatically calculate the points, on-the-fly as you enter weekly results. There are 3 types of points available for the league: 1. Individual Points; 2. Team Points; and 3. Match Points (which are also team points). Of course, for individual leagues only individual points are available. You decide how many points are awarded for the following categories.

The league points awarded for individual and team matches are set during League Setup or can be edited in the League Points Control Panel. For "per-hole" league points you can select to "carry-over" halved holes or split the points. When the scores are entered, Golf League Secretary will calculate the points for each match based on the settings and options on this screen. This screen will appear during League Setup. You can set the points settings here and if desired, you can edit and change the settings after League Setup or anytime during league play.

Note: The point categories that are disabled are for 18-hole leagues which allow you to setup separate matches (nassau matches) on each nine in addition to points for the total match. In 9-hole leagues, since only one nine is played, you only have points for the total match.

"Against the Field Points" can be awarded for Individual Low Net or Actual OR Team Low Net or Actual. The players or teams compete against all other players or teams. You select how many points are awarded for the player or team with the lowest net or actual score, and the points difference between each place. Ties share the points for the places they hold and are rounded to the nearest point. Example: (20, 2-man teams league). You select Individual Low Net Against the Field with the player scoring the lowest net getting 40 points, and each place below descends by 1 point. There would be a total of 820 points available. The player with the lowest net receives 40 points and the player with the highest net receives 1 point. If 4 players tie for 3rd place, they would split 3rd, 4th, 5th, and 6th place points equally (38 + 37 + 36 + 35 = 146 / 4 = 36.5. New for GLS 2005, points are rounded up to the next half point, instead of whole point, allowing for more precision.

Also notice at the bottom of the form, "Accommodate User-Defined Points (UD Points) (manual input)." When using the Hole-by-Hole Method (recommended) you can now easily enter Individual and/or Team Points which are not automatically calculated by GLS. User Defined Points (UD points) are points which are peculiar to your golf league and must be calculated and entered manually. (example: points for showing up, or points for a hole-in-one, or points on number 6 if you keep it out of the water, etc...) You can have a combination of GLS calculated points and User Defined Points. If you select User Defined Points, GLS will provide input boxes for UD points entry.

Individual Points Setup Panel

Figure 1 - Individual Points Setup Panel

You can setup "Modified Stableford Points" for Individual Low Net per hole or Actual Score per hole. In the Modified Stableford Scoring System, you play against everyone else in the league. The game is based on a point system, where the points you earn are determined by your score on the hole. How many points a hole is worth can be set by the league and changed at any time, thus the name "Modified" Stableford System. Also, you can select up to 2 "Joker Holes" which "change the stakes" and provide an interesting challenge. Joker holes are holes which are worth double, triple or even more points by assigning a "Multiplier" to that hole. (See Figure 2)

You can also use the Stableford Scoring System as the basis for individual matches and set the points won as desired. (See Figure 1) You can base the match points on Net or Actual Stableford Scoring just as you would for Low Net or Low Actual Score. (Example: Competitor with the Best Total Stableford Score Net in a match gets 4 individual points, Best Total Stableford Score Actual in a match gets 2 individual points.) In other words, the points earned are not the actual Stableford points a player scores, but a set number of points for having the best Stableford score. If the two opponents have identical Stableford scores, they split the points...

Individual Modified Stableford Points Setup Panel

Figure 2 - Individual Modified Stableford Points Setup Panel

You can set up Team Per Hole Points based on Low Net, Low Actual, Bestball Net, and Bestball Actual. As with individual per-hole points you can select to "carry-over" halved holes or split the points. Teams can also match their combined Net or Actual score Against the Field. (See Figure 3).

Team Points Setup Panel

Figure 3 - Team Points Setup Panel

Check out the various Team Match Points available (See Figure 4). Also shown here, is the "Calculate Points" feature which adds up all the points you have selected and gives the totals for each category.

Match Points Setup Panel showing Calculated Total

Figure 4 - Match Points Setup Panel showing Calculated Total

On the "Options Tab" below, you can add Individual Points to Team Points for the purpose of establishing league standings, or you can keep Individual Points separate and use only Team Points for league standings. Also, you can select whether or not individual points earned by a substitute player can be earned by the player and/or team the substitute is playing for.

Points Options Setup Panel

Figure 5 - Points Options Setup Panel


Substitute Players

Substitute Players must be setup in the league before they can be used. To setup a sub, Go To the "Setup" menu... "Sub Setup..." The following form (figure 1) will appear. Only the sub's first and last name is required information.

If you wish, you can Import a league player or substitute player from another league. By selecting an Import Option, the League drop down list box will become active, listing all the leagues in the database. When you select a league, the Player drop down list box will contain all the players or subs from that league. When you select a player or sub, that players name and other information, if available, will automatically fill the input boxes. This feature will also import that players most recent adjusted scores.

Also, you can import in one simple action, ALL the subs from another league. This is a real time saver if you wish to setup all the subs, for example, from last years league. A check box is available to make this happen...

figure 1 - Substitute Player Setup Screen

Once a substitute is setup in the league, he or she will be available to input in place of a league member during weekly scores entry. When you are posting scores, and come to a player who had a sub click the "Absent With Sub" checkbox for the missing player. A substitute box will appear allowing you to select the sub player. The subs name and handicap will appear. If the sub does not have a handicap you can manually input it.

Golf Leagues that have substitute players have many ways to determine their handicap. Since substitutes play a limited number of rounds, some feel it is best to determine a subs handicap based on 60% or 70% of their adjusted score for that particular match. This may be the easiest method and most fair to the regular members. If you will check a league members actual stroke average, you will find their handicap is about 70% of their actual average. Why should a sub, an outsider, get any more advantage than this?

The Substitute Player handicap parameters are set from the "Edit" menu... "League Rules"... "Handicap Parameters". See Handicap Setup for more information.

If not established, or not entered manually, GLS will automatically calculate a sub handicap taking the subs ADJUSTED SCORE MINUS PAR) TIMES SUB PERCENTAGE.

If a sub has an established handicap it will be posted. Sub handicaps are adjusted using the same method as regular league members. You can decide the number of sub rounds to use for handicap calculation as follows: 1. Determine the handicap after EACH round using that round; 2. Use ALL Rounds posted; Or 3. Use the LOWEST HALF of all rounds posted. Selection 1 calculates sub handicaps "on-the-fly" when the sub score is posted. Selection 2 or 3 will result in sub handicaps being calculated along with regular league members each time you run the league handicap report.


Set Player / Team Divisions

You can separate players or teams into different divisions or flights. This is accomplished during league setup. You are asked whether or not your league will be divided into flights. Select Yes and provide at least two names for the divisions. You can name the divisions whatever you like, such as Division 1, Division 2, etc., or Flight A and Flight B, or North and South, etc. If you have divisions, you must enter at least two names for the divisions, however, you can have up to 4 divisions.

Divisions do nothing more than Sort the Team or Player Standing By Division If you have divisions, you can select the "Sort-By-Divisions" option on the Query Control Panel. When you run the Year-To-Date Report the standings will appear separated by division with the division name above each.

Divisions have no affect on the Schedule. Everybody still plays everybody... If your league has separate schedules for each division, in other words, if the players in one division do not play the players in the other division... then for best results Set Up As Two Separate Leagues with two separate schedules. If desired, the reports can be copied and pasted together to create one report (handout).

Once you have indicated that you will have divisions and have provided names for the divisions you can then place each player and/or each team into a division. This is accomplished after the league is setup and the players and teams are set up. Go to the "Setup Toolbar", OR the "Update Menu" and select "Setup Divisions or Flights." A setup wizard will then guide you through the setup procedure. It is simply a matter of selecting a league player or team and selecting which division to place them in… To change a player or team division rerun the division setup wizard. While running queries and reports you can sort the lists by division which will show the players and/or teams separated by the division in which they are a member.

While running queries and reports you can sort the lists by division which will show the players and/or teams separated by the division in which they are a member.


Extra Player Setup

Extra Players can be added to a team by clicking on the Setup Menu… Player Setup… Add Extra Player. Select the team in which the player will be a member. Then enter the Extra Player data. Only the first and last name are required information.

An Extra Player is assigned the next available ID number in the "Players" Table. If there are 32 players in the league, the first extra player gets ID number 33. GLS requires that Player ID Numbers be in sequential order with no gaps. GLS will not work correctly If the order goes like this 30, 31, 32, 34… In other words, do not delete an extra player. The extra players' records may hold points that were earned for the team, and deleting the extra player will delete the team points.

When entering scores for the week, on teams with extra players you will be able to select which player played that week from the player list box. The players current handicap, if determined, will automatically be inserted in the player handicap box.

If you know in advance that an extra player will be playing this week, this edition of GLS requires you to type in the extra players name on the scorecard.

Extra Players are treated just as regular team members. Their points contribute to Team points (if applicable) and they appear in the Individual Standings.


"Weekly Checklist"

Weekly GLS can create the "Weekly Checklist" which is a step-by-step "To-Do" list for the following week. This "road map" will remind you of what to do and in what order to do it... Read the following checklist to get an idea of the order in which to execute the GLS weekly features. Find this function under the Setup Menu... Click "Organizers."

Example Weekly Checklist...

Hunters Ridge Tuesday Night Golf League
Weekly Checklist for Week Number: 6

1. Was the GLS "Handicap Report" run after entering last weeks scores? If not, then run the report to update handicaps. This will make sure that handicaps on the new scorecards are correct, and that player positions (i.e. 1-man, 2-man, etc.) are up to date.

2. Run this weeks scorecards. You can use the "Standard" card layout or your own "Custom Template." After all cards are complete, exit "Scorecard Mode." Now you can edit and/or print the cards. From the "File Menu" select "Print..." to open the Print Dialog box where you can set several printing and layout options.

3. After the round is complete, make sure the scores are added and individual and team points are tallied. If not, GLS will automatically calculate points during entry of scores. Double check any substitute players score and handicap. If a substitute is not registered Run "Sub Setup" from the "Setup Toolbar." You are now ready to enter scores.

4. Enter this weeks scores. Remember to add any prize carry-overs from last week to this weeks prizes. Make sure handicaps are correct...if not, type in correct handicap, or let GLS automatically calculate handicaps. Double check hole scores before going to back nine or next match. Make sure form is set to correct nine... if not Click "Switch Nines." The Weekly Report will print automatically after all results are entered. The Weekly Report will automatically be saved to the Golfsoft/GLS9/WeeklyReports/REPORTS/[LEAGUE_NUM] Folder.

5. Now that the Weekly Report is saved, you can format the report for final printing. Delete unnecessary columns or rows, change font style or size, etc. If the report does not fit on a page you may have to change column widths or not include all data columns. Experiment for the look you want...

6. Now that the Weekly Report is printed. You can update player handicaps. Run the "Handicap Report." Running this report automatically updates the Players and Teams database tables. It is a good idea to print the Handicap Report and take it with you to the league next week in case there are any questions.

7. Next, from "Run Query" run the "Year To Date Report." This report gives the Team and Individual standings, all the weekly scores, and many statistics. Delete the columns for Fairways, Greens, and Putts if your league does not track them. If you do track these, you can paste the numbers into the YTD Report from the appropriate Query. The same is true of Under Pars, Pars, Bogies, and Others. A one-page handout with the Weekly Report on one side and the YTD Report on the other makes an informative report for the league members. Add enhancements like notes or announcements, or paste other queries into this report.


Match Setup

This feature may never be needed if you "stick to" the schedule the way it was created. GLS automatically sets the matches according to the schedule. You may from time to time, however, want to override the schedule or simply change the order of players in the match.

In Match Setup, you can do the following:

  1. Keep the schedule as far as which players or teams oppose each other. However, you will be able to change, or set manually, the order the players appear on the scorecards.

  2. Disregard the Schedule and set all matches manually.

  3. For 4-man team leagues, you can change the way the matches are setup.

Basically, Match Setup creates a new schedule for the week and stores it in the MatchSetup Table for the league. If a schedule exists in the MatchSetup Table, for that particular week, GLS will use that schedule instead of the schedule located in the Schedule Table. GLS always looks to the MatchSetup Table first, then to the Schedule Table. After a week is complete and all records are "in the books," GLS posts the actual, final schedule, (i.e. the way it really happened) in the MatchSetup Table for that particular week. Whenever GLS needs a reference to a past week, it gets any information about the schedule from the MatchSetup Table.


Creating Scorecards

Remember, if not week 1… run the Handicap Report to update handicaps before creating this weeks scorecards!

Scorecards can be generated easily in GLS. You can use the GLS Standard Scorecard Type or design and use a Custom Scorecard Template and Layout. All Scorecards are clones of the a scorecard Layout File used to create the card. The scorecard Template file tells GLS where to place items on the scorecard.

Procedure: Click on the Scorecard Toolbar Button and the Scorecard Setup input box appears.

Optionally, you can add a Promotional Slogan or an Announcement to the scorecard. Type the message in the boxes provided. The messages will appear on each scorecard.

Click on OK to create the first scorecard. GLS will then enter "Scorecard Mode." You can continue creating scorecards by clicking "Next Card" on the Toolbar. Do not resize the scorecard while in Scorecard Mode or an error will occur when you create the next card. Simply create all the cards you wish to then exit Scorecard Mode before you resize any of the cards. (It's no big deal, you can rerun the cards easy enough.)

The scorecard is a GLS spreadsheet which can be customized and formatted to your needs or printed as is. The card automatically sets up the matches according to the Schedule Table or MatchSetup Table, placing the lowest handicap player from each team as 1-men, and inserts the current handicaps. If your league tracks Putts, Fairways, and/or Greens, a grid to record these is provided. Since this is a spreadsheet you can delete columns or rows, add or clear text, add or clear borders, etc.

For 1-person leagues, you can create scorecards as foursomes or twosomes. Check to box provided for this function.

When all the cards are created, you can print them. Nine-hole scorecards are designed to print in "portrait" orientation while 18-hole card fit nicely in "landscape" orientation. You may have to adjust the size of a column or row of the scorecard Layout File to make the card print exactly as you like on your particular system and printer.

Creating 2 cards on a single sheet of paper or card stock: You can now create 2 scorecards on one sheet of card stock or paper. If you use the Standard Template and Layout files GLS will handle the 2-up cards automatically. If you use a custom template and layout, use the same custom template file, however, a new custom layout must be created which has 2 copies of the scorecard, one on top of the other. Also, GLS must know how many rows separate the two cards. The numbers of rows must be entered on the Create Scorecards initial screen.

Creating a 2-Card Custom Layout File: You can easily create this new layout by opening the existing layout and converting it to handle two cards. Open the existing Custom Layout File that you are now using. Rename it. For example, if the original layout is named "mylayout.gls" then name the 2-card layout "mylayout2.gls." Select the entire range of cells for the scorecard layout... In other words select from cell A1 to the bottom right cell of the scorecard, then while holding down the Control (Ctrl) Key, select the upper/left single cell where you want the bottom scorecard to be placed. You will now have the entire scorecard selected and a single cell where the bottom scorecard will begin. Keep at least one cell between the top card and the bottom card. This is the "in between row" which will be used for spacing and separation of the two cards. Then from the Edit menu click "Copy and Paste Data, Cell Types, and Formats."

An exact copy of the top scorecard, except for the Row Height, will be pasted to the new location . Next, select the range of cells which make up all the rows of the top scorecard. From the Edit menu click "Copy Row Height." Then select the first row of the bottom scorecard and from the Edit menu click "Paste Row Height." The 2 scorecards will now be exactly the same.

Next, you must count the number of rows that separate the cards. Select a cell in the top scorecard, preferable one which has text or another identifiable trait. Using the "down arrow," count down one row at a time until you reach the same cell in the bottom scorecard. Remember the number. Now when you create scorecards you will be required to input this number if you select "Custom Template" option and the "Print 2 Cards on One Sheet" option. You will only have to do this the first time as GLS will automatically remember your settings the next time. It is now a matter of adjusting the separation row to fit the size of stock you are using and to give a suitable border between the cards when they are cut in two. After creating the new 2-card custom layout, look at it in print preview and print it to see if any further adjustments are needed. Now you have a new custom layout file which will product two scorecards on the same page. Again, you will use the same Scorecard Template File you have been using...


Entering Weekly Results

Entering Weekly Scores

From the Toolbar, Press the "Enter This Week's Scores" button. This opens the "Weekly Scores" dialog box.

Select a Standard Report or Template. If you select Template, two file list boxes will appear listing all the Weekly Report Layout files and Template files available. Select the files you wish to use or reselect Standard.

Select How to Enter Scores. If your league is setup as a Hole-by-Hole Method you can select either "Hole-by-Hole Method" or "Scoresheet Method." If your setup is the "Simplified Method" then your must enter scores using the "Scoresheet Method." If using the "Scoresheet Method" you must Select a Scoresheet from the listbox to the right. If you plan on using the new "Scoresheet Method," you must first, have a Scoresheet created, prepared, and saved in the GLS8/Scoresheets folder.

Select or Accept the Week Number. If applicable, Enter Prize Pool Amounts for Skins, Individual Low Net, Individual Low Actual, etc. (See Weekly Prizes) If there is no prize pool for the week or if your league will not be using this feature then leave the boxes set to $0.00. Check the appropriate box if you allow subs to win prizes.

Also, you can enter scores in Practice Mode. This option will you to fill in random scores for the players when you are learning how to use GLS. It's a time saver.

Press the OK button to bring up the scores input screen.

Figure 1 - Weekly Results Dialog Box

The Scores Input Screen (See Figure 2) is designed to allow easy data entry. League Points can be calculated automatically by GLS or manually by you. Select Manual Points at the top of the screen to override automatic point calculation

Substitute Players are inserted by clicking the Sub Check Box under the Players name. The Player will receive the points earned by a sub. If your league rules state otherwise you can edit the Players points directly in the Database in Edit Mode. If the sub is not registered with the league, Click on "Enter New Sub." Only the subs first and last names are required. The sub address data can be entered later if at all…

While in "Enter Scores" Mode you have several options available to handle various situations that arise. You can click "Match Not Played" if all the players did not play. The match will be treated as a Forfeit for all players involved until the match is made up. Make up match results can be entered later in "MakeUp Match" Mode.

If a player is absent Select the Check Box indicating that "Player Absent with No Sub." This option is handled according to how the Forfeit Parameters are setup.

For 9-Hole Leagues or leagues are courses with more than 18 holes, you switch from one nine to the other at anytime by Clicking "Switch Nines."

Figure 2 - Scores Input Screen

When all the scores are entered GLS automatically runs the Weekly Report which has all the players hole-by-hole scores, actual, net, and adjusted totals. Prize amounts will be highlighted and listed, and winning players will automatically be credited with prize money based on the prize pools you entered before. This report is automatically named and saved immediately after being generated. The Weekly Report is not created for Simplified Method Leagues. Edit and print the actual scoresheet as a weekly report.


Forfeits and No-Shows

A close second, right after Make-Up Matches, Forfeits and No-shows are the biggest "pain" for league secretaries and cause the greatest amount of confusion in the GLS program. Most leagues are not that concerned about the player who doesn't show up, in other words, the ABSENT player. The absent player usually receives zero points, however, there are several options for handling the absent player. The more difficult decision is how to handle the player who does show up, in other words, the PRESENT player. It doesn't seem quite fair to just give this player "all the points." GLS can automatically deal with forfeits and no shows. You are able to select several methods of dealing with forfeits including handling it manually at the time the scores are entered.

When entering scores, if a player is absent without a substitute player, click on the button, "Player Absent without Sub." You can now put any score and handicap you wish for the absent player. The "dummy score" you record will not be posted to the absent players scoring record. This score is ONLY FOR THE PURPOSE OF GIVING THE PRESENT PLAYER A SCORE TO PLAY AGAINST. GLS can automatically fill in a "dummy score" using the rules as shown below. For example, a score can be filled in which is based on the Present Players Average score plus a certain percent or certain number of strokes. In this example if the players average is 40 and you selected a penalty of 3 strokes, then a score of 43 would be posted for the absent player. This would be, on a par 36 course, a bogey on every hole except a par on the two easiest holes. Thus, the present players would have to play against a 43, and the points would be figured accordingly. As you can see below, you can also base the "dummy score" on the Absent Players Average.

Some leagues draw a random score card for the player to play against. This is actually a good idea, as the players can figure the results at the golf course after the round if they wish. A random card can be drawn and the score handicap for the random player can be inserted for the absent player. When you enter the scores, remember to click the "Absent Without Sub" button, then enter the random score.

Present Players and Teams (players who show up)

Many leagues want the present players to "earn" their points rather than just give them all the points. Other leagues have a set number of points earned for a forfeit. This figure is usually at least half of the points available for the match. You are able to select if and how a "dummy" score is determined. The present player will compete against this dummy score to earn the points he gets. You can have the dummy score based on the absent players actual average or based on his own actual average. You are also able to discount the average by a certain percentage or by a certain number of strokes. The following options are available:

The Present Player Automatically Gets _____Points

How dummy score is determined:

Manually…will be inserted when scores are entered. Use this if cards are drawn at random…

Use the Present Players Average Actual Score and Current Handicap plus a ____% penalty

Use the Present Players Average Actual Score and Current Handicap plus ____strokes (Recommended w/ 3 strokes)

Use the Absent Players Average Actual Score and Current Handicap plus a ____% penalty

Use the Absent Players Average Actual Score and Current Handicap plus ____strokes

The same method is used if an entire team forfeits. The following options are available:

The Present Team Automatically Gets _____Points

How dummy score is determined:

Manually…will be inserted when scores are entered. Use this if cards are drawn at random…

Use the Present Players Average Actual Scores and Current Handicaps plus a ____% penalty

Use the Present Players Average Actual Scores and Current Handicaps plus ____strokes (Recommended w/ 5 strokes)

Use the Absent Players Average Actual Scores and Current Handicaps plus a ____% penalty

Use the Absent Players Average Actual Scores and Current Handicaps plus ____strokes

Absent Players and Teams (players who don't show up)

Sometimes players are absent for a good reason. In this case, you may give absent players the benefit of the doubt and let them receive points automatically if they are absent. You can do this with GLS. You can also allow points for absent players a certain number of times. Most leagues just give absentees 0 points.

The following options are available:

Absent Individuals (If individual points are at stake)

Absent Players can Receive Points Earned by the dummy score; ____Yes, ____No

If Yes, how many times? _____times.

If No, Absent Players automatically receive _____Points. (default is 0 points, can be negative)

Absent Teams (Team Forfeit)

Absent Teams can Receive Points Earned by the dummy scores; ____Yes, ____No

If Yes, how many times? _____times.

If No, Absent Team automatically receives _____Points. (default is 0 points, can be negative)


Scoresheet Method

If you decide to use this method, please read this help topic very carefully.

You can enter scores and results on a single page using the Scoresheet Method. If you are setup as a Simplified Method League, you must use the Scoresheet Method to enter scores. If you are setup as a Hole-by-Hole Method League you can use either method of data entry.

This method is ideal if you want to enter scores in no particular order. For example, if you want to enter results at the golf course as the players post their scores.

Before you can enter scores in Scoresheet Mode, you must Create a Scoresheet for the current week. When you create a scoresheet, GLS places all the current matches, players, handicaps, etc., on the scoresheet. It is up to you to enter the scores, and select the player status, that is whether or not the player posted a score, had a substitute or forfeited. You do not have to enter any of the totals. GLS will calculate totals when you enter Scoresheet Mode.

Note: Before creating a scoresheet, make sure to register any new substitutes for that week or they will not appear on the scoresheet and you will not be able to select that sub…

Save the scoresheet to the Scoresheets folder. As an example, you could save the scoresheet with a name such as wk1scor.gls. The scoresheet must be saved to this folder.

It is recommended that you fill out as much of the scoresheet as possible before entering Scoresheet Mode. You can, for example, have the sheet active on your computer screen and entering the scores as the teams come in from the course. The totals can be calculated after you enter Scoresheet Mode.

Now it is time to enter the scores and update the database. Select "Enter This Weeks Scores" from the Update Menu or click on the Enter Scores button on the Main toolbar. Select "Scoresheet Method." Next, you must Select a Scoresheet from the list box to the right. If you properly saved your scoresheet then it will appear in the list box. Now when you select OK your Scoresheet will appear in SCORESHEET MODE. You can make further changes at this time. Click "Calculate" to have the point and totals entered on the scoresheet. Once you are confident that all the information is correct you can Click "Enter Scores" to officially enter all results to the database. GLS will automatically run the Weekly Report at this time. You can also Open the Scoresheet and use it as a "weekly report" since it has most the data you want to present.

(Remember, if you make a mistake the worse that can happen is that you "Delete Last Scores Posted" to put everything back the way it was before entering scores this week, OR simply Click Edit, Database, Edit Previous Results to make small changes to any players scores or points, OR you can open the Database in "Edit Mode" and make changes directly to the database tables.)


Make Up Matches

Make up Matches can be entered using either the "View/Edit Player Results" OR "Make Up Match."

Player results can be edited or updated by going to the "Update Menu" and clicking on "View/Edit Player Results." An input box will appear that allows you to select the week number and player name. The current player results will appear… You can then change any of the numbers to update the players file. Remember: There are no automatic calculations for Adjusted Score or Points in this mode. Set these categories before saving the changes. More details are available on the input box.

To use the Make Up Match Alternative:

To enter the results of a make up match... Click "Update Menu."..."Make Up Match." Select or Enter the appropriate Week Number and Which Match.

After selecting the Make Up Match and pressing OK, the Match Results Input Form appears. It is similar to the Weekly Input Form for entering Weekly Results. For 9-hole leagues, check to make sure the correct side (front or back) is showing. Press SwitchNines to switch. A substitute player is handled the same way as in Weekly Results, as are absent players. (See Substitute Players) Fill in the scores and stats on the Match Input Form.

The database will update the player and team files of the make up participants.


GLS Reports

The Reports produced by GLS are easy to produce and very informative. Many are run in "Query Mode." There are three main reports for the league members and several for the league secretary. All reports are produced as spreadsheets and once produced can be edited, formatted, combined, deleted from, etc. (see section on Spreadsheets)

The Mastersheet is a spreadsheet which contains several reports. It is created when results are entered for the week.

The Weekly Report . This report is produced automatically and now allows for Custom Templates. This report is produced when all the scores for the week have been entered. The Weekly Report lists each Players' Name and Handicap, a Hole-By-Hole score break-down with Skins highlighted, the Actual Totals with Low Actual Score and ties highlighted, the Net Totals with Low Net Score and ties highlighted, the Adjusted Scores, the Individual and Team Points, the Opponent played, Prizes Won, and Fairways, Greens, and Putts.

The Weekly Report is originally generated and automatically saved after results for each week are entered. The Weekly Report Query is available mainly for experimenting with Weekly Report custom templates. It is not a good idea to run a new template at the time results are entered because if for some reason the template has errors then you may not end up with a good copy of the Weekly Report, short of deleting and reentering all the scores. Test your templates with the Weekly Report Query Also, running the Weekly Report from this query generator has some limitations. Team Bestball Net and Actual cannot be displayed. The prize and point totals for each player, however, are correctly listed. Also, you may need to generate an older weekly report from here if the original was deleted.

The Handicap Report is mainly for the League Secretary and is used by GLS to update the handicap files. This report is run from the Update Menu or Handicap Button on the Toolbar. (Do not confuse this with the Handicap Query which only retrieves the current handicaps from the Player files. The Handicap Query does no calculations or updating of the GLS Database.) When this report is run, new handicaps are calculated and posted using the most recent adjusted scores. The Handicap Report lists all the players' Adjusted Scores by Week sorted from low score to high score, gives the players' Total Number of Rounds, the Number of Rounds Used to determine handicap, the Adjusted Sum of the rounds used, the Adjusted Average of rounds used, the Handicap carried out two places, and the rounded Handicap. This report should always be run before the Year-To-Date Report or before Scorecards are produced for next week, so that you are using the most recent handicaps. Also, it would be a good idea to SAVE this and all the league reports to hard drive or diskette.

Figure 3 - League Queries

The Year To Date Report. The YTD report is run in League Queries (See Figure 3). This report provides current handicaps (if handicap report is run first), Team Standings sorted by place, all Player Scores by week, Number of Rounds, Actual Scoring Average, Total Prize Money, and Individual Pts. Also, blank columns are provided for Hole Breakdown Results (U - Under pars, P - Pars, B - Bogies, O - Others), and for Fairways, Greens, and Putts (F, G, P). To fill in these columns run the appropriate Queries and Paste the totals into the YTD report (see spreadsheet section for help with copy and pasting). Once any blank columns, or columns that you do not wish to display are filled or deleted, you can sort the individual players section using any sort key you wish. Of course, most of the time you will sort by Individual Points-(1) so that the list will be the Individual Standings. But you could sort by Scoring Average, etc.

(1)-The order in which the team and individual standings are listed is set in the "Weekly Report Template." You have the choice of sorting by Points or Team/Player ID Number. Open the template and notice at the top of the left side the sort order boxes. Place an "X" in the appropriate box indicating the order you prefer.

The Player Report. A player report can be run for each individual player in the league. The report gives the players' week-by-week results, a hole-by-hole scoring average and total scoring average, Actual Score for week, Adjusted Score for week, their Opponent, Prize Winnings, and Total Points.


Player Team Position - Setting Manually

Also See Match Setup where you have more options for setting up matches and positioning players than the method described below.

You can manually set the players position on a team, whether 1-man, 2-man, etc., in the GLS Database in the "PlayerA" Field, "PlayerB" Field, etc. of the "Teams" Table for the League. To manually set the player position on a team:

  1. Open the GLS Database. Click on "Edit" menu... "Database"... "Edit League Tables"

  2. Select the "Teams" Table for the League. If yours is league 1, then the table you want is named "1Teams."

  3. In the "PlayerA" Field, insert the PlayerID Number for the 1-man.

  4. In the "PlayerB" Field, insert the PlayerID Number for the 2-man.

  5. If applicable, continue for PlayerC and PlayerD…

The player positions are calculated and posted to this table automatically when you run the "Handicap Report." The player with the lowest handicap on the team is Player A or the 1-man. The player with the next lowest handicap is Player B or the 2-man, etc. However, there may be times when you may want to manually set the player positions.

For Week 1, until you run the Handicap Report (Update Handicaps), for the first time, GLS positions the players as you entered them by Player ID number.


Weekly Prizes

GLS can automatically calculate and maintain weekly totals for the following:

Individual Skins (If one person gets the lowest ACTUAL score on a hole, with no ties, that is a skin. Take the total prize pool for Individual skins and divide it by the number of skins to determine how much each skin is worth.)

Individual Net Skins (Same a individual skins except a skin is the lowest NET score.)

Individual Low Actual (Lowest Actual score for round wins prize pool. All ties get equal share.)

Individual Low Net (Lowest Net score for round wins prize pool. All ties get equal share.)

Team Skins* (Lowest combined team ACTUAL score on a hole, with no ties, is a skin.)

Team Low Actual* (Lowest combined team Actual score for round wins prize pool. All ties get equal share.)

Team Low Net* (Lowest combined team Net score for round wins prize pool. All ties get equal share.)

Team Bestball Actual* (Lowest team Bestball Actual score for round wins prize pool. All ties get equal share.)

Team Bestball Net* (Lowest team Bestball Net score for round wins prize pool. All ties get equal share.)

* (2 and 4-man teams only)

If prize pools are optional, with some players in and some out, you can set which players are taking part in the games. Go to the Setup Menu... Players... Player Game Preference. A screen will appear which has all players listed. You can check whether a player is IN or OUT of the games. Simple!

Many leagues make prize pool money mandatory and collect it with the league fees. In other words, everyone is IN! The prizes are paid each week.

It is a good idea to start the prize pool and payouts after the initial handicaps are set, which in some cases may be after a few weeks.

The weekly prize pool amounts are entered in the opening screen when entering "Weekly Results." Enter the pool amounts in one or more of the categories. Leave prize categories not used set to $0.00.


Rainout or Postponement

Cancellation or Postponement

Rainouts can either be postponed to a later date, or cancelled all together. These situations are handled within "Schedule Setup." From the "Setup" Menu... Select "Schedule Setup." When a match is postponed or canceled, you can adjust the schedule to reflect changes in dates and/or changes in number of matches remaining. Remember, any changes made to the schedule are not saved to the database without clicking the "SAVE SCHEDULE" button. If you make changes which do not appear to accomplish what you want, you can click "Close." When you reopen "Schedule Setup" you'll be right back to where you were before any changes were made. Don't be afraid to make changes... they won't take affect unless you click "SAVE SCHEDULE."

Schedule changes fall into one of the following categories...

1. Cancellation (This means there will be 1 less week on the schedule. If there were 18 weeks on the schedule there now will be 17 weeks.) Select the Date that will be cancelled. Click on the "Delete Week" button. The week will be deleted and all remaining matches renumbered to reflect the cancellation. The number of weeks in the schedule will also be decreased by one.

2. One-Week Postponement (This means that everything will be shifted ahead 1-week. This week will still be played next in rotation but 1-week later. The schedule will have the same number of total weeks. The league will play 1-week later than originally scheduled.) Select the week that has been postponed 1-week. Click on the "Shift Dates Ahead 1-Week" button. This will simply change the dates for all remaining matches.

3. Postponement To Later Date (This means the date will be played later in the season on a different date. One or more other scheduled matches will be played before this match is played. It's being moved beyond 1 or more other matches on the schedule. The schedule will have the same number of total weeks.) Select the Date that will be moved. Type in the new date this week will be played. Do not have two matches on the same date. Make the date fall in front of or beyond another match on the schedule. Click the "Sort Weeks by Date" button. This will realign all dates and set the correct week numbers for each match. Once the week numbers are correct, you can go back and change the date of the moved match to the same as the preceding or following match if the two matches are to be played on the same date. GLS does not care what the date is... It only cares about the week number and about making sure the matches are played in order of week number.

3. Add a Week or More to the End of The Schedule (This means you have decided to play 1 or more weeks than originally set.) Increase the number of weeks in the "Number of Weeks" box, then click "Set Number of Weeks." This will add a row or rows to the bottom of the schedule. It's up to you to put in the new dates, date types, match setup, etc. IMPORTANT! DO NOT USE THE "CREATE MATCHUPS' FEATURE when adding weeks to a schedule since it will change all matchups appearing in "Schedule Setup." You must fill in the matchups manually for the added weeks...


Replace A Player

If for some reason, a player quits the league you can replace that player by clicking on the Setup Menu…Player Setup…Replace a Player. After you select which player is being replaced, you type in the new players' information (first and last name are mandatory). Then click OK to replace the player or CANCEL to close with no changes. The new player will be assigned a new player id number.

If you replace a player with a player who has rounds recorded in the league, in other words with an Extra Player or a Substitute, select the appropriate check boxes, then enter the new players current player ID or sub ID. This will assure that the past scores and prizes posted for the new player will be posted to his new files.

The new player will automatically receive any points earned by the player he is replacing. If the player was formerly an extra player on another team, any past points earned by the new player will remain in the players old ID number. This will assure that the new players old team will be credited with the points the new player earned for his old team.

The new players old ID number will be assigned the name "PlayerQuit Team". Do not delete this record, it is a placeholder for all the past records. You will have to clear it from any reports manually before printing. Hopefully this option is not needed to often! The player who quit will be assigned a Sub ID and his records will be added to the Sub Results table. Thus, the former player now becomes a sub and all the past scores for this player can be used for handicap purposes.


Handicap Calculation

Also See: Week One Handicaps

After the weekly scores are entered, and the Weekly Report is Saved, you can Click on the "GLS Handicaps" button from the toolbar to calculate and post new handicaps. Most of the handicap parameters are set during League Setup, however, the Handicap Formula is set or changed before Handicap Calculation. This is done in case your league uses a different formula during the first week or two. When you set or change the Handicap Formula it is changed in the Leagues Table and appears as the Current Handicap Formula the next time Handicaps are calculated.

You can select from 5 different formulas. In order to compensate for leagues that play on courses with different total par on each nine, GLS maintains a Table named "AdjOverPar." This table holds the number of adjusted strokes over par for each player for each week, thus equalizing the effect of two nines with different total par. The first two formulas are based on this table. Formula # 1 is the most widely used.

Handicaps can be determined using the following formulas:

1 (Average Adjusted Strokes Over Par for the Rounds Used) times Handicap Percent

2 Average Adjusted Strokes Over Par for the Rounds Used

3 (Adjusted Average Score minus Course RATING) times Handicap Percent

4 Adjusted Average Score minus Course RATING

5 ((((Adjusted Average Score minus Course RATING) times STANDARD SLOPE (113)) divided by Course Slope) times Handicap Percent) (similar to "USGA"® format)

The Percent of Handicap Used can also be changed "on the fly." If your league wants to establish a handicap based on one round, for example, you may want to set the percent to as low as 70% or 80% for the first round or two and return it to 96 or 100% for subsequent rounds.

Your League will have to decide how, if at all, to Adjust Scores. This decision is usually based on the overall "seriousness" of the league players. Some leagues do not adjust scores, thus the Actual Score and Adjusted Score are the same. Other leagues want to adhere to the strictest interpretation of the USGA Handicap System, which, by the way is nearly 100 pages in length, and doesn't mention golf leagues.

Golf leagues use the full gamit of possible handicap parameters... At one extreme: "Do Not Adjust Scores," "Use All Rounds Posted," "100% of Handicap," and "No Maximum Handicap." At the other extreme: Use "Equitable Stroke Control" to Adjust Scores," "Use Lowest 1 Round of First 6," as low as "80% of Handicap Used," and a scratch league with "Maximum Handicap = 0."

The closest you can come to a USGA handicap with "9-Hole" GLS, is to select the following options during League Setup. 1. Adjust using "Equitable Stroke Control" 2. For rounds used select "Use 'USGA"® format" 3. Enter 96% of Handicap Allowed. 4. Set Maximum Handicap to 18 strokes for 9 holes. Then during GLS Handicap Calculation, select formula 5: (((AVE minus RATING) x STD) / SLOPE) x PERCENT). For this setup you must REMEMBER to include the 18 Hole Slope Rating and 18 Hole Course Rating during Course Setup.

Substitute Player Handicaps

Golf Leagues that allow substitute players have many ways to determine their handicap. If not established, GLS will automatically calculate a sub handicap taking the subs "ADJUSTED SCORE" for the round less "PAR" times the "SUB PERCENT." If a sub has an established handicap it will be posted. Sub scores are adjusted using the same method as regular league members.

You can decide the number of adjusted sub rounds to use for handicap calculation as follows:
1. Use the same methods as Regular league members;
2. Use ALL Rounds posted;
3. Use the LOWEST HALF of all rounds posted; or
4. Determine the handicap after EACH round using that round only.

Selection 4 calculates sub handicaps "on-the-fly" when the sub score is posted. When using this method substitute handicaps do not appear on the Handicap Report because they are not establishing a handicap... It is based on their current score only.

Selection 1, 2 or 3 will result in sub handicaps being calculated along with regular league members each time you run the league Handicap Report and will appear on this report. Also, subs can have a different "Percentage Used" than regular league members.


Week One Handicaps

GLS can automatically determine handicaps when a handicap is not established!

If a handicap is blank (null or not established) at the time you attempt the post the scores, GLS will calculate a handicap based on the Players Adjusted Score for that match, times the League Percent of Handicap Used. If you do not want GLS to determine the handicap then you must provide a handicap at the time of posting or by manually setting the handicaps in advance. SCORES CANNOT BE POSTED WITHOUT A HANDICAP.

You can manually set Week 1 handicaps by clicking on the Update Menu… Handicaps… Manually Set Handicaps. You will easily be able to set one players' handicap or all the players handicaps. If handicaps are set manually they will appear on the scorecards when the weekly results are entered.

If your league waits until after 2, 3 or more weeks to determine handicaps, then hold the cards and enter the scores after the initial handicaps are set. If you want the handicaps to stay the same while you enter 3 weeks scores, for example, then do not run the Handicap Report until all 3 weeks are entered. Then run the Handicap Report and you will be all set with updated handicaps.


Handicaps - Setting Manually

You can manually set handicaps by clicking on the Update Menu… Handicaps… Manually Set Handicaps. You will easily be able to set one players' handicap or all the players handicaps. If handicaps are set manually they will appear on the scorecards and when the weekly results are entered.

The handicaps are calculated and posted to this table automatically when you run the "Handicap Report." However, there are times when you may want to manually set the handicaps.

Handicaps, whether set manually or while running the Handicap Report are stored the "Players" Table. GLS retreives the handicaps from this table when needed for scorecards or when entering weekly results. You can edit this table directly as follows:

  1. Open the GLS Database.

  2. Select the "Players" Table for the League.

  3. In the "Handicap" Field, insert the handicap for each player.


Handicaps - Traveling League

Handicaps for traveling leagues are now calculated the same as same course leagues. (New with version 7.0)


"USGA" Inspired Options

The following table shows how GLS calculates handicaps if you select the "USGA-style" options for determining "Number of Adjusted Scores Used" and "Maximum Score Allowed on Any Hole," called "Equitable Stroke Control."

In the first case ("Number of Adjusted Scores Used" - left side of chart below), a player handicap is determined using the 1 (one) lowest adjusted score for the first 6 weeks. This method tends to penalize players for shooting a low round. Example: A player posts the following adjusted scores for the first 6 weeks (43, 45, 39, 42, 44, 46). This equals a 43+ average, however, the unfortunate players handicap is based on the Lowest 1 score of 39. This method was designed for establishing an 18 hole handicap over many rounds of golf, not for a league which posts 15 to 20 rounds per season. However, the option is available.

Rounds to be Used

Number of Scores Posted | To Be Used to Calculate Handicap
5 or 6 | Lowest 1
7 or 8 | Lowest 2
9 or 10 | Lowest 3
11 or 12 | Lowest 4
13 or 14 | Lowest 5
15 or 16 | Lowest 6
17 | Lowest 7
18 | Lowest 8
19 | Lowest 9
20 | Lowest 10

How to Adjust Scores with "Equitable Stroke Control"

Equitable Stroke Control, 18-Hole League Handicap | Maximum Score On Any Hole | Equitable Stroke Control, 9-Hole League Handicap | Maximum Score On Any Hole
9 or less | Double Bogey | 4 or less | Double Bogey
10 through 19 | 7 | 5 through 9 | 7
20 through 29 | 8 | 10 through 14 | 8
30 through 39 | 9 | 15 through 19 | 9
40 or more | 10 | 20 or more | 10
Source: USGA Handicap System Section 4-3 |  | Source: USGA Handicap System Section 10-5 c |

"Equitable Stroke Control" is a good way to adjust scores. The maximum score a player can receive on any hole is based on the players handicap. The higher the handicap, the higher score that is allowed on the hole. Other methods adjust everyone's score the same way. GLS has incorporated the latest procedure for ESC which is effective January 1, 1998. This method now allows a maximum of Double Bogey for the lowest handicap golfers, whereas previously they were allowed a maximum of 6 on any hole.

The purpose of handicaps is to allow players of varying ability to play on an "equal" basis. A handicap should reflect a players potential, not be a crutch or excuse. The most forgiving options may differ by 2 or 3 strokes over the most demanding options. Usually, the more demanding the options, the more an inconsistent player is penalized. The consistent player will always benefit by a demanding handicap system. This is obvious if we consider the player who shoots 36 and 44 with the player who shoots 40 and 40. The first player has a zero handicap and the second player a four even though they have the same actual average. Which player would you put your money on?


GLS Database

The GLS Database

The GLS database is a Microsoft® Access® 2000 Format database. A database is a group of related files, or tables, which hold information, or data, that can be manipulated using database methods. With GLS you can enter or edit data, analyze data, retrieve data, and compile reports. GLS provides you with easy to use data entry forms and easy to prepare screen outputs and printed reports. GLS is designed so that you will not have to be an expert on database theory, however, there may be times when you will want to or have to directly access the database tables. For example, you may want to set Team Positions, especially for Week One.

The GLS Database is made up of 6 universal, or "Master Tables" and 17 "League Specific" tables. Notice the "League Specific" tables start with a number. The number is the League ID Number. The "League Specific" tables are created whenever a new league is setup.

Table Names:

Master Tables:

Courses

CoursePar

CourseYards

CourseHandicap

Leagues

LeagueRules

Events (future use only)

Players (future useonly)

Tables Created for each League (first character denotes League ID Number):

1Players | 1ActScores
1Teams | 1AdjScores
1Subs | 1AdjOverPar
1PlayerResults | 1PastScores
1TeamResults | 1Handicaps
1SubResults | 1MatchSetup
1SchedNine | 1PlayerPrizes
1Schedule | 1TeeTimes
1LeagueFees |

The tables listed above hold all of the data needed to run the league. Each table is made up of categories or fields which hold the specific related data. For example, the Leagues Table is made up of 31 fields which hold everything from the "LeagueID" Number and "LeagueName" to whether the league will "TrackPutts"; how the league will "AdjustScores"; and what will be the "MaximumHandicap". You can view the Tables and Fields in Database Mode. Click on the "Open Database" button on the tool bar to access a table.

If you open the database in Edit Mode, you can then make changes to the table. This is not recommended unless you are exactly sure what you are doing.

When you open a database table in Read Only Mode, the table is opened in a GLS spreadsheet which can be edited, formatted, or changed in any manner you wish. All you have done is create a copy of the table. Changes made to this copy have no effect whatsoever on the database itself. Read Only copies can provide data for league planning and reporting. (See section on Spreadsheets and spreadsheet formatting)


Database Maintenance

GLS provides some basic tools for maintaining and "backing up" the database. These include the Diagnostic Test, Deleting Leagues, Compacting the Database, Making a Backup Copy of the Database, and Installing the Backup Copy of the Database.

DIAGNOSTIC TEST: This test is available to check the database for obvious errors such as incorrect settings or missing records. For example, the test checks for Null values in the schedule. This feature may give you a clue when you suspect that something is "not right." The Diagnostic Test is located in the Edit Menu under Database.

DELETE LEAGUE or COURSE: ( Before deleting a league make sure you run and save any reports you wish to archive as spreadsheet files. Open the database table in read only mode and save to disc.)

To delete a League or Course and all its' associated records and tables, from the Edit Menu select "Edit Database." Select a League or Course to delete. Press Cancel to Quit with no effect on the database, or Press Delete to delete all League or Course files. Because the database will maintain "referential integrity," you may not be able to delete a Golf Course if one of the current leagues is played at the course. Only courses not being used by a current league can be deleted.

COMPACTING THE DATABASE: As you open, close, add, and delete records in the GLS database, the size of the database grows and can waste disk space. Compacting the database will organize the records and decrease the size of the actual database file. It is a good idea to periodically compact the database, say once a week, or once every two weeks. (there's no limit however) To compact the database select "Compact Database" from the File Menu. The database will automatically compact. You will be offered the opportunity to Back up the database before compacting begins.

BACKING UP THE DATABASE: It is recommended that a Backup Copy of the database be made before exiting GLS. This is easily accomplished by selecting "Backup Database" from the File Menu... Database Maintenance. GLS will place the database copy to a folder of your choice. This same function can be performed from the Windows File Manager. Go to the GLS8 folder and click on the Database sub folder. Make a copy of the GLS80.MDB File. This is the main database file. You can use a tape backup or a "Zip" compression program to make the file fit on a diskette.

INSTALLING THE DATABASE BACKUP COPY: In the unlikely case that you have to install the backup copy of the database it can be done by selecting "Install Backup" from the File Menu... Database Maintenance.


Corrective Queries

Corrective Queries, are league queries that read data from the "PlayerResults" Table and post the updated results into the various tables that summarize this data, thus correcting any numbers that may be incorrect. In other words, the "corrective queries:" not only give you information, they take action. By running the Year-to-Date Report Query and the Total Money Query; you are assured that the points, standings, and prize winnings are correct….that is, as long as the PlayerResults Table is correct.

These two queries do not, however, correct handicap errors. A players' handicap is based on the "AdjOverPar" table. This table holds the Adjusted Over Par for each player for each week. The adjusted over par is calculated by taking the players' Adjusted Score minus Par for each round. If the numbers in this table are correct, the handicaps will be correct.

Also, the "Delete Last Scores" procedure, located in the Edit Menu, is "corrective," in that it deletes all the records for the last week entered and resets all totals based on the "PlayerResults" Table . This can be very helpful if you feel that, for some reason, some of the results were not entered properly or not entered at all. This function "cleans up" the files so that data entry can start over again. This action does not reset Sub Handicaps.

IMPORTANT: Run the corrective queries if, for any reason, the computer locks up during use of GLS. See Computer Lock Up for more information.


GLS Spreadsheet

The GLS Spreadsheet

All GLS reports and database printouts are displayed as spreadsheets, a grid with cells that hold various types of data that can be formatted in many ways. Commercial Windows® Spreadsheet programs such as Microsoft® Excel® are very popular. You probably have such a program installed on your computer. If you do, and if you have spent some time learning these programs, you already know how useful and versatile spreadsheets can be. We cannot teach spreadsheet basics here, however, the more you know about spreadsheets the better you will be at getting the most out of GLS.

A spreadsheet, also known as a worksheet, is a grid made up of ROWS and COLUMNS, the intersection of which is called a CELL. Each cell is a unique entity which can hold text, numbers, or graphics. Each cell can be formatted uniquely. All cells have a unique "range number" which identifies it. The range number is determined by the location of the cell, for example the first cell in the upper left corner is cell A1. Columns can be consecutively numbered or lettered. Rows are usually numbered only. You address a cell as Column A, Row 1. Worksheets are a great way to work with numbers. For example, if you had a column of numbers, say in the Range A1 to A6 (written A1:A6), you can place the formula =A1:A6 (equal sign denotes formula), in cell A7 and always have the current sum displayed. If you change a number in the column, the cell with the formula is undated with the new sum. Many books have been written about spreadsheets, and the user's guides that comes with the above mentioned programs are excellent.

GLS outputs are in spreadsheet format. Many of the reports have extensive formatting. Such things as Font, Font Size, Column Width, Row Height, Cell Type (whether it is text, number, or graphic), Borders, Alignment (whether the text or number in the cell is placed in the center, left, or right), etc. All of the spreadsheet features can be changed just like the spreadsheets you are using. In fact, all spreadsheet data can be Cut or Copied from GLS and Pasted into your Windows spreadsheet program for further formatting or to produced graphs, if you desire.

Whenever a spreadsheet is open in GLS a special Formatting Menu (which can be accessed by right-mouse-clicking anywhere on the spreadsheet) allows you to format and manipulate the spreadsheet in various ways. Other available menus allow you to adjust how the spreadsheet is displayed and has many options for Saving Files; Printing all or parts of the spreadsheet; Cut, Copy, or Paste cells or ranges of cells; Insert, Delete, Freeze, Hide, or UnHide columns or rows; Setting Cell Types, Background Colors, Borders, or Sorting lists; Freezing rows or columns...any many more. The best way to learn about spreadsheet formatting is experiment. Practice saving and opening a spreadsheet. Work with the Print functions, practice sorting lists, format the fonts, etc. Also, check out the Print Preview function from the File Menu which allows you to see how your report will look and to make any adjustments to the Page Setup before it is sent to the printer


Spreadsheet File Types

Reports or Scorecards created in GLS are saved as Golf League Secretary Files with the file extension ".gls." Previous versions of GLS saved files using the ".ss" extension. You can still save (or open) reports as ".ss" files, however, starting with GLSv 8.0 the default file extension is ".gls." The ".gls" file has become the default Windows File Type for Golf League Secretary. In other words, if you double-click on a ".gls" document in Windows Explorer or My Computer, the GLS application will start with the document open, just as if you double-clicked on a ".doc" document, MS Word will start and open the document. This behavior does not occur if you double-click an ".ss" file. When GLS is installed on your Windows computer, the ".gls" file is registered in the Windows Registry as a File Type (Golf League Secretary File) associated with the "Golf League Secretary 9" application. It is recommended that you convert any older ".ss" files to ".gls" files. To do this open the .ss file and "Save As" a .gls file.

You can also save spreadsheets as ".gst" files. When saving templates for Scorecards or Weekly Reports you should save them as template files with the extension ".gst." GLS looks for this extension when filling the template list box when you enter scorecard or weekly results mode. Go to the create scorecards feature to see how this works. A template file is a form that has input boxes corresponding to various items on a scorecard or weekly report. Templates resides in a template folder and tell GLS where to position various items on a scorecard or weekly report. Many users never see these files because they use the defaults templates provided. Some users, however, create custom templates. Basically, the ".gst" file extension is available so that you can have the same name for the Template and Layout file (Card1.gst and Card1.gls). See the links above for more information on template files and layout files.

Other File Type Information:

You can save your reports as MICROSOFT EXCEL spreadsheets. To save in EXCEL format…From the File Menu select Save As, then in the file types list box select XLS. You can then open the saved file in MS Excel.

After you save a spreadsheet as a ".gls" file, you can save the entire spreadsheet or a range of cells as an HTML document.. Actually the proper term is "exported" as an HTML document. It's called exported because the spreadsheet or range of cells can be saved as HTML and viewed in a browser on the web or intranet, but cannot be opened as a spreadsheet or report in GLS. The file is exported for use in another program. Cell Ranges exported as HTML will appear as a table in the browser. This will allow you to post your reports or results on the web or intranet. To save (export) a range of cells as HTML… Select a Range from the Spreadsheet. Select all the cells that contain the data you wish to display as a Web Document. From the File Menu select Export Range of Cells as HTML..., When the Save As Dialog Box appears, give the HTML Document a Name. Click the Save Button. You now can view the saved file in a browser and post it to the Internet or send it as HTML Email.

After you save a spreadsheet as a ".gls" file, you can save it as an XML document. Again, the proper term is "exported" as an XML document. It's called exported because the range of cells can be saved as XML but cannot be opened as a spreadsheet or report in GLS. To save (export) a spreadsheet or range of cells as XML… Select a Range from the Spreadsheet. Select all the cells that contain the data you wish to display as XML. From the File Menu select Export Range of Cells as XML..., When the Save As Dialog Box appears, give the XML Document a Name. Click the Save Button. You now can view the saved file in a text editor. Some Hints: The process does not work if the column headers (at the top of the spreadsheet) are hidden or are displayed as numbers. The column headers should be displayed as letters, or as a custom word. The column headers become the child element tags such as <A>, <B>, <C>, and so forth. The row headers are disregarded and thus can be displayed or not displayed. Again, experiment for best results.

After you save a spreadsheet as a ".gls" file, you can save a range of cells as a Comma Delimited Text File. Again, the proper term is "exported" as a text file. It's called exported because the range of cells can be saved as Text but cannot be opened as a spreadsheet or report in GLS. Each row (line) in a comma-delimited text file is a row in the spreadsheet. Each column within the row is separated by a comma. This function has limited usage. For what it's worth, MS Excel can open a comma delimited file. This would seem to be of little use since you can save GLS spreadsheets as an MS Excel spreadsheet. See the following paragraph. This type of file could be called by a batch file for some purpose which is way beyond the scope of discussion here. To save (export) a range of cells as Comma Delimited Text… Select a Range from the Spreadsheet. Select all the cells that contain the data you wish to save as Comma Delimited Text. From the File Menu select Export Range of Cells as Text File..., When the Save As Dialog Box appears, give the Text Document a Name. Click the Save Button. You now can view the saved file in a text editor.


Spreadsheet Formatting

The spreadsheet menu is located under the Application Title Bar at the very top. The menu commands and the special option and input boxes that appear allow you control over the spreadsheet layout. GLS will give you the information, data, and sample layout. You supply the formatting. For example, if you want a worksheet that has all the players names and phone numbers. you run the League Roster Query. However, the query report also gives the players addresses. You simply select the columns which hold the address data and click on the Grid Menu...Click on Delete....Click on Columns. You will control how the report looks. You may find for example that you have to make a number of columns narrower in order for a printed report to fit on an 8.5 x 11 sheet. Or you may have to change the Printer Setup Mode to Landscape in order to have the look you want.

Once you get a spreadsheet formatted to your specifications, so that the report has the information you want and the printed document is right, you can save it and use it as a template for running the report each week with updated data. First open the template report. Click "Save As..." from the File Menu and Save the template as a new file with a unique name. You can paste cells or blocks of data into this new file without changing the formatting such as column widths and row heights, borders, fonts, etc. Most of the reports in GLS can be printed as is or with minor changes.

From the Edit Menu you can cut, copy, and paste text and data, just as you would in any spreadsheet program.

Copy and Paste Data: You can copy and paste data from one cell or range of cells to another cell or range of cells on the same spreadsheet or to a different spreadsheet. Select the cells you wish to copy and from the Edit menu click "Copy." The data is now in the Windows clipboard. Next, select the cell or cells you wish to copy the data to, then from the Edit menu click "Paste." The data will be pasted to the new cell(s). You can use the convenient keyboard shortcuts for copying (Ctrl - C) and pasting (Ctrl - V) data. Only the data or text is copied and pasted using this method. Also, it does not copy row height or column width. Data and text ONLY. Formats such as color, borders, font, etc., and cell types are not pasted. The data and text take on the formats of the new area in which they are pasted.

Copy and Paste Formats and Cell Types: You can copy formats and cell types from a cell or range of cells to another cell or range of cells. This functionality can be found on the Edit Menu... "Copy and Paste Cell Types, and Formats." Or you can select the "Copy and Paste Data, Cell Types, and Formats" which copies and pastes data, text and all formats to the destination cell(s). This is a limited function. The copy and paste formats function is handled in one operation. It cannot be used to copy data and formats from one spreadsheet to another. Also, it does not copy row height or column width. This function operates a little differently than the standard copy and paste data function. The data and formats in the destination cells will be pasted over by the copy data. First, select the cell or the entire range of cells to copy, then while holding down the Control (Ctrl) Key, select the upper/left single cell where you want the cell or range pasted. In other words, you must select the cell(s) to be copied AND a single destination cell for pasting.

Copy and Set Row Height and Column Width: You can also copy the row height or the column width of a cell or range of cells from one location on a spreadsheet to another location on the same spreadsheet. Example: If you want to copy the row height of rows 2 through 6 to rows 18 to 22. Then select the range of cells in rows 2 through 6. From the Edit menu click "Copy Row Height." Next, select the first row where you want the row heights set, or row 18. From the Edit menu click "Paste Row Height." The rows will be set to the new heights. The same works for Column Width.

GLS spreadsheets also support drag-n-drop operations. Select a cell or group of cells. Move the Mouse cursor to the edge of the selection until it changes from a cross to an arrow. Hold down the left Mouse button while you drag the cell or block to a new location. The cell or block will follow until you drop it by letting up on the left button. If you hold down the Control Key, "Ctrl Key" while performing drag and drop, instead of moving the cell or block you will copy the cell or block. You will then have two cells or blocks with identical contents and formats.

GLS spreadsheets also support Keyboard shortcuts for cutting (ctrl-x), copying (ctrl-c), and pasting (ctrl-v).


Spreadsheet Formulas

Spreadsheet Formula Syntax. Select a cell. From the Format Menu (or right-mouse click on spreadsheet), Click on Cell Type. In order to have a formula in a cell it must be of type Integer or Currency/Float. Click on one of these. Currency/Float allows a cell to have a decimal point where you decide how many places to the right of the decimal to show and whether or not to display the dollar sign or a comma denoting a thousand separator. Remember: Formulas must begin with an equal sign (=), such a =A1+A2.

Operator | Description | Literal / Literal | Cell Ref / Literal | Cell Ref / Cell Ref
+ | Addition | 2 + 2 | A1 + 2 | A1 + B2
- | Subtraction | 4 - 2 | A1 - 2 | A1 - B2
^ | Raise to the power | 2 ^ 2 | A1 ^ 2 | A1 ^ B2
* | Multiplication | 2 * 2 | A1 * 2 | A1 * B2
/ | Division | 2 / 2 | A1 / 2 | A1 / B2
& | Logical AND | 2 & 2 | A1 & 2 | A1 & B2
| | Logical OR | 2 | 2 | A1 | 2 | A1 | B2
: | Range summation |  | A1:A10 * 2 | A1: B2
# | Wild card |  | A# * 2 | A# * B#


Spreadsheet Menu

The Format Menu

You will find yourself going to the Format Menu often. This menu is located on the Menu Bar and is available as a POPUP MENU (with a RIGHT MOUSE CLICK on any spreadsheet or report.) This menu allows you to select Fonts, and Font Size, Font Color, Bold , Italic, etc. The Alignment item positions the text or data within a cell to Left, Right, or Center. You can also align text vertically using the Text Orientation feature. The Borders item allows you to place a bold line or border on top, bottom, left, or right of a cell, or to outline a cell or block of cells.

Also, some more common formatting options are available on the Formatting Toolbar. If a spreadsheet is active, the formatting toolbar button on the main toolbar with activate the formatting toolbar.

Cell Types under Format Menu…

Text Overflow Type places text on a single line that overflows into adjacent empty cells.

Text Multi-Line Type place all text within the same cell but wraps text to next line.

The Integer (Whole Number) Type allows for whole numbers only. No fractions or decimals.

Currency/Decimal Number Type allows for fractions in the form of decimal numbers. A dialog box appears to offer further options.

Picture Type allows you to place a graphic image on the spreadsheet such as logo or bitmap.

Other Spreadsheet Menu selections:

Color Menu: Select color of Fonts; background color of the Cell or Block of cells; or the color of the Grid Lines of the spreadsheet.

Display Menu: Alter the display by setting the text or numbers in the Column or Row Headers; whether or not to show Horizontal and/or Vertical Grid Lines; whether or not to allow Cell Overflow; whether or not to automatically (Auto Calculate) all formulas when the spreadsheet changes; and to manually Calculate All Formulas.

Grid Menu: Set, or change Column Width or Row Height; Hide or Unhide Columns or Rows; Freeze or Unfreeze a number of columns to the left or row to the top; Insert a Row or Column; Delete Rows or Columns.

Clear Menu: Allows clearing of Text only without affecting formats; Allows clearing Borders only without clearing or deleting text; or Clear All allows clearing text and formats.

Window Menu: Typical Windows menu items allows you to Cascade (overlap and offset) all open windows so that each title bar is visible and can easily be selected; allows you to Tile all open windows so that a portion of all windows are visible; allows you to the Arrange Icons of minimized windows on the workspace of GLS. This menu also has a list of all open spreadsheet and a check by the spreadsheet with the focus.


Spreadsheet Templates

Custom GLS Templates can be created for Scorecards and Weekly Reports. You can create a layout of the scorecard or report tailored to your specific reporting requirements.

Other Template Ideas…

You also can copy any GLS worksheet, a scorecard for instance, and paste into any commercial Windows spreadsheet application, such as Microsoft® Excel®, Lotus® 1-2-3®, and WordPerfect® OuatroPro®. The principles are the same.

How it works? When you copy cells in a GLS worksheet, only the data, or values, are copied. The formatting such as borders, colors, font bold, font italic, row height, column width, etc., are not pasted to the commercial spreadsheet program. Any formatting you create in a GLS spreadsheet or MS Excel worksheet, for example, will act as a Template. The numbers, values, and data will paste directly into this formatted worksheet without changing any formats. As long as the data is pasted into the correct cells, it will take on the format of that cell.

GLS produces standard scorecards and reports that can be used with little or no further formatting. However, if you want to get real fancy, the data will paste nicely into the other applications. Please experiment with this and you will learn to produce some very nice outputs…


Sorting Rows or Columns

Most sorts are Sort By Row, in other words a vertical (up and down) sort. Sort By Column sorts are horizontal (left to right) sorts. Sorting is useful in GLS for sorting Player or Team statistics or standings. The Sort Options dialog box makes sorting easy. To learn more about sorting read your users guide from any spreadsheet or database program.

GLS will sort the information according to its' data type or Cell Type. If you are sorting numbers you must change the cell type to a number such as an Integer or Decimal. If the cell type is Text, then an alphabetical sort occurs. Go to the Format Menu…Select Cell Type. Select the type you wish. Now you are ready to sort.

Basically, in order to sort you must select ALL the columns and rows of the list you want to sort. Select the entire range of cells that are affected by the sort, not just the sort column. Select all the cells you want to move with the sort. Do not select cells that are to remain in the same position. If you select a cell, it will move with the Sort Key during sorting.

Next, Go to the Format Menu… Sort. GLS then will provide you with a list of all selected columns (if sort by row) or rows (if sort by column). Under Sort Key Number 1 select the column or row you wish to sort by. Then select Ascending (A to Z or 1 to 10) or Descending (Z to A or 10 to 1). For example, to sort Standings select Descending (high points to low points); to sort Scoring Average select Ascending (low average to high average). You can also sort by Sort Key Number 2 and Sort Key Number 3 to have up to 3 levels of sorting. Sort key 2 and 3 are seldom used. In case there is a "tie" in sort key 1, then the sort looks to sort key 2 to decide placement of the two equal items. If sort key 2 is equal then sort key 3 is used...


Set Player / Team Divisions

Create a Cell Note

Overview
You can attach a note to a cell to contain text such as a comment, a question, or any text. A cell with a note attached displays a small red square (cell note indicator) in the upper right corner of the cell, as shown in the following figure.

When the pointer is over the cell note indicator, the cell note text appears.

Use caution in choosing a red color as the background for a cell that could contain a cell note. The cell note indicator could be invisible against a red background.
The cell note indicator does not appear when the cell is in edit mode.


Set Player / Team Divisions

Create a Cell Span

You can create a "Span" of Cells which allows more flexibility in displaying text and graphics in GLS reports and scorecards. A span is a rectangular group of cells which act as one for display purposes. The upper most left cell of the span is known as the Anchor Cell. The contents of the anchor cell occupy the entire span. Cell Spans will have many uses for making reports more functional and attractive. For example, you can place a graphic or logo on a scorecard template which will appear on each scorecard, without having to adjust the columns and rows to make it fit correctly. T he Cell Span feature can be accessed from the Format Menu. See Figure 1.

The data in the first cell in the span (called the anchor cell) occupies all the space in the span. Spanned cells do not lose their original content. If you remove the span from a group of cells, the content of the spanned cells, which previously was hidden, is displayed as appropriate. Also, the cell types of the cells combined in the span are not changed. As long as the span is in effect, any data in spanned cells are hidden.

Note: You cannot sort a block of cells that contain spanned cells.


Weekly Report Templates

A GLS Custom Weekly Report Template is actually two files. A Layout File (how you want the report to look), and a Template File (where everything is placed on the report). Basically, the layout file ia a GLS Spreadsheet that contains all the formatting such as borders, colors, font bold, font italic, row height, column width, etc. The template file tells GLS where to place the outputs for the report such as Player Names, Handicaps, Actual Scores, Putts, Greens, Fairways, Date, etc. Please open and view these files to get an idea of what they are…

Templates have been created for the sample leagues included with GLS. Actually all the weekly reports created in GLS use a template and layout, even the standard type. The Template files are located in the "WeeklyReports\ Template" Folder. The Layout Files are located in the "WeeklyReports\ Layout" Folder. GLS custom templates end with the extension .GST or .ST and Layouts end in the extension .GLS (a standard spreadsheet extension). Templates from previous versions of GLS used the extension ".st." For backward compatibility, the ".st" extension still works, however, it may be a good idea to re-save, "save as" all the ".st" files with the ".gst" extension.

The following templates and layouts are provided:

Template Files | Layout Files | Applies To:
STDWKRPT.ST | STDWKRPT.GLS | Standard Weekly Report Form
L10WKRPT.ST | L10WKRPT.GLS | League # 10 Custom
LG9WKRPT.ST | LG9WKRPT.GLS | League # 9 Custom

Notice the template name is the same as the layout name, except for the two character extension. It is not required to name both the same, however, it will be easier to select the template and layout you want if both have the same name.

The Weekly Report Template and Layout works the same as the Scorecard Template and Layout. See that page for some graphic examples of what a Template Form and Layout File are all about.

The best way to build a Template is to start with one that is already built. Open a template and a layout and rename them for your league, such as LG1WKRPT.GST and LG1WKRPT.GLS. You will have to remember that template files end with .GST so click on File Types and Click on "GLS TEMPLATES," in order to SEE the Template Files! Once you have renamed the files and there is no danger of changing the original files, you can begin editing and manipulating the files.

Start with the Layout File. Make the Weekly Report look the way you want using the formatting capabilities of the GLS spreadsheets. If desired, you could even enter one or more formulas in the report, if for instance, you wanted to do a math calculation. GLS will open a new instance of this layout file for each report it creates and give each a name (Wk1rpt.gls, Wk1rpt.gls, etc.).

The weekly reports are saved to the "WeeklyReports\ Reports" Folder. This folder is further divided by League Number. For example, the full path to the League # 1, Week # 1 Weekly Report would be "WeeklyReports\ Reports\ League1\ Wk1Rpt.gls." All the Weekly Reports for League 1 would be located in this folder.

Once your layout is complete, print a copy of it including the column and row headers. Make sure the column header labels are numbers instead of letters. You can now create the template file by opening and renaming and saving a current template file or by clicking on the Template Menu…Create Weekly Report Template.

The template file is a list of all the possible items that can be included on the weekly report. Your task is to insert the corresponding Row Number and Column Number of the cell where you want the item to appear on the report. GLS opens this Template file before creating the report. Then it reads the row and column and places the item in that cell. You can experiment and adjust your template and layout files until the scorecards are created the way you want…

The Weekly Report is originally generated and automatically saved after results for each week are entered. The Weekly Report Query is available mainly for experimenting with Weekly Report custom templates. It is not a good idea to run a new template at the time results are entered because if for some reason the template has errors then you may not end up with a good copy of the Weekly Report, short of deleting and reentering all the scores. Test your templates with the Weekly Report Query.


Scorecard Templates

Notice: Starting with GLS v7.0, the scorecard template has been changed slightly. One new input has been added to accommodate the new "TeeTimes" feature. This input was placed in an unused location of the template and does not affect your current templates. If you plan on placing tee times on the scorecards, you will have to insert the location on the template.

A GLS Custom Scorecard Template is actually two files. A Layout File (See Figure 1) (how you want the card to look), and a Template File (See Figure 2)(where everything is placed on the card). Basically, the layout file is a GLS Spreadsheet that contains all the formatting such as borders, colors, font bold, font italic, row height, column width, etc. The template file tells GLS where to place the outputs for the card such as Player Names, Handicaps, Hole Numbers, Week Number, Date, Tick Marks for strokes, etc. The result is an Actual Scorecard (See Figure 3). Please open and view these files to get an idea of what they are…

Templates have been created for the sample leagues included with GLS. Actually all the scorecards created in GLS use a template and layout, even the standard type. The Template files are located in the "Scorecards\ Template" Folder. The Layout Files are located in the "Scorecards\ Layout" Folder. GLS custom templates end with the extension .GST or .ST and Layouts end in the extension .GLS (a standard spreadsheet extension). Templates from previous versions of GLS used the extension ".st." For backward compatibility, the ".st" extension still works, however, it may be a good idea to re-save, "save as" all the ".st" files with the ".gst" extension.

The following table shows the standard templates and layouts that are available and 2 custom templates and layouts.

Template Files | Layout Files | Applies To:
181MNSTD.ST | 181MNSTD.GLS | 18-hole, Individual Foursomes Std.
181MATCH.ST | 181MATCH.GLS | 18-hole, Individual Single Matches Std.
18HOLSTD.ST | 18HOLSTD.GLS | 18-hole, 2 or 4 Person Teams Standard
91MANSTD.ST | 91MANSTD.GLS | 9-hole, Individual Foursomes Std.
91MATCH.ST | 91MATCH.GLS | 9-hole, Individual Single Matches Std.
9HOLSTD.ST | 9HOLSTD.GLS | 9-hole, 2 or 4 Person Teams Standard
LEAG10.ST | LEAG10.GLS | League # 10 Custom
LEAG9.ST | LEAG9.GLS | League # 9 Custom

Notice the template name is the same as the layout name, except for the two character extension. It is not required to name both the same, however, it will be easier to select the template and layout you want if both have the same name.

Figure 1 - The Card Layout File

Figure 2 - The Template Form

Figure 3 - The Actual Scorecard created from the Layout and Template Files

Take note from the 3 figures above... The template tells GLS to put "Player 1 Name" in Row 10, Column 3. Thus, on the scorecard you'll see the Name "Kent McBride" in that location. The blue font, font size, font color, and align left was already formatted on the layout. When the text "Kent McBride was placed in that cell it takes on the formatting of that cell. Look these figures over carefully to understand how the template and layout file work.

The best way to build a Template is to start with one that is already built. Open a template and a layout and rename them for your league, such as LEAGONE.GST and LEAGONE.GLS. Note: You will have to remember that template files end with .GST so click on File Types and Click on "GLS TEMPLATES," in order to SEE the Template Files in the SAVE AS Dialog Box! Once you have renamed the files and there is no danger of changing the original files, you can begin editing and manipulating the files.

Start with the Layout File. Make the scorecard look the way you want using the formatting capabilities of the GLS spreadsheets. If desired, you could even enter one or more formulas in the scorecard, if for instance, you wanted to do a math calculation on each card. GLS will open a new instance of this layout file for each scorecard it creates and give each a name (Match1.gls, Match2.gls, etc.).

The scorecards are saved to the "Scorecards\ Cards" Folder. This folder is further divided by League and Week Number. For example, the full path to the League # 1, Week # 1, Match # 1 Scorecard would be "Scorecards\ Cards\ Lg1Wk1\ Match1.gls." All the scorecards for week 1 would be located in this folder. This folder can fill up with past scorecard files. You may want to periodically delete the old folders and scorecard files from this folder from time to time.

Once your layout is complete, print a copy of it including the column and row headers. Make sure the column header labels are numbers instead of letters. You can now create the template file by opening ,renaming and saving a current template file or by clicking on the Template Menu…Create Scorecard Template.

The template file is a list, or form, which contains all the possible items that can be included on a scorecard. Your task is to insert the corresponding Row Number and Column Number of the cell where you want the item to appear on the scorecard layout. GLS opens this Template file before creating scorecards. Then for each card item it reads the row and column and places the item in that cell. You can experiment and adjust your template and layout files until the scorecards are created the way you want…


Printing GLS Reports

Printing Options

All spreadsheets, whether report queries, read only database tables, or a spreadsheet file that you have created, can be printed using the Windows Printer Setup and GLS printing options. With one or more spreadsheet open, select "Print..." from the File Menu.

Select Printer Setup to set the paper size, page orientation (Portrait or Landscape), and other settings.

Select the Worksheets, or Reports from the list box which contains all the open worksheets. You can select multiple worksheets for printing. GLS will send the selected worksheets to the printer. This is very handy for doing multiple scorecards.

Printing Functions: Select "Standard Printing" for most printing. If you select "Smart Printing" the following rules apply…

  1. If the number of columns are wider than the portrait page, the page is printed in landscape mode.

  2. If the page still will not fit, but will fit if the page is reduced up to 60% of its original size, the page will be scaled to fit within the page.

  3. If the page is still to wide, make an attempt to reduce column widths...

  4. If all attempts to make page print within one page have failed, printing will resume in Standard Mode in the current printer orientation with no reductions.

Print Number of Pages: You can print all pages, a selected cell range or just one page...

Other Options: Print with or without Grid Lines, Column Headers, or Row Headers. Experiment...

Set Print Margins: Set all print margins here. You can set any of the margins to ZERO, which automatically sets the margin to your printers minimum. This is the recommended setting.

Color Printing: Set this to Yes only if you have a color printer AND you will be printing in Color.

To Load Printer and Print: Press OK/Print to Print spreadsheet or Cancel to Quit without printing.


Print Preview

Select Print Preview from the File Menu or Format Toolbar and the active report will appear in "Print Preview Mode." (See Figure 1). If the report has multiple pages you can click "Next" Page or "Previous" Page to see more pages. Or you can select a page from the drop-down Page List. You can determine the percentage size of the document. Click on "Page Setup" to change Print Orientation, Margins, or other printer settings. Click Close to exit print preview mode.

Figure 1 - Print Preview Mode


GolfSoft.Com

Golfsoft® Company

1815 W. Grand Blanc Rd.
Grand Blanc, Michigan 48439

email: info@golfsoft.com

web: http://www.golfsoft.com

Bill Uffelman, programmer
GolfSoft® Company


USGA Statement

The United States Golf Association (USGA), has NOT in any way approved or endorsed this program, nor has such an approval been solicited. The USGA is the sole governing body that establishes handicap parameters and the requirements for maintaining a certified handicap. The USGA controls and sanctions the issuance of official handicap cards that can be used in events at any golf course with an official slope or stroke rating. GLS, or any golf software which is operated by anyone other than a certified golf association or club cannot issue handicap cards or establish a certified handicap. A handicap established by Golf League Secretary for Windows can only be used within this golf league. GLS cannot, by law, issue handicap cards for league members. Visit USGA.ORG for more details...


Troubleshooting

Troubleshooting Tips

  • Golfsoft Company has limited customer tech support resources. Please read the following...
  • Most of the problems users have with GLS are caused by trying to make the program do something it was not designed to do... Some problems occur because of a misunderstanding of what GLS can and cannot do. It cannot do everything. That would be impossible. If it can't do something, it can't be forced to do it. GLS works best for leagues that have set players, set teams, and a set schedule. GLS does not work with leagues that have different players every week or if playing the round is optional. GLS does not work well, if at all, for leagues that change partners periodically or if the players "just kind of show up when they feel like it." GLS is not recommended for leagues where players can play any course they want or turn in the scorecard whenever they feel like it. Also, GLS, does not handle a mixed type league where it is necessary to have different hole handicaps for different players. Won't work! Everyone must play the same golf course. They can tee-off from different tees, but the hole handicaps must be the same for everyone. GLS will not automatically calculate some types of points. For example, some leagues award points for showing up to golf. GLS will not calculate this automatically, however, you can manually (user-defined points) enter team or individual points as you please. GLS will not handle leagues with 3-person teams, ONLY individual, 2-person teams, and 4-person teams are allowed. It can't be coaxed to work for leagues with 5 or more players on a team. In order for GLS to work properly, the course handicaps for 18-hole courses must be odd numbers 1 through 17 on the front, and even numbers 2 through 18 on the back. For 9, 27, and 36 hole courses the handicaps holes are numbered 1 through 9 for each nine. GLS will not accept hole handicaps that do not comply with this requirement. There are probably many other league rules that GLS will not handle. If you are not sure if GLS can handle your league, email us with the league specifics. We may tell you GLS is not recommended or we may have some ideas to make it work.
  • Most error messages produced by GLS only tell us one thing... Something is not setup correctly! Some problems occur when a user may attempt to make changes in the GLS database (i.e. deleting records or tables)... Or by editing the Windows Registry without knowing the consequences of such changes... Another big reason for problems is trying to edit an existing league to make it work for a new league. When it is time to start a new league, then start it from scratch. Do not try to edit another league, by changing the number of teams, or number of weeks on schedule, etc. It will end up taking more time and creating more problems than it's worth.

    Experimentation, in general, is the cause of many problems. Experimentation is good, that's how we learn. But when it's time to set up the league, it has to be done correctly and in order. When a user first gets the program they of course will experiment, creating leagues and running various functions. This is a learning period before actually setting up your league. Expect ERRORS during this period. After all, most of the time we do not even know who will be in the league or how many teams there will be until a day or two before the league starts. However, we all would like to get the league setup well in advance so that we can have the schedule and first night scorecards ready to pass out. And this creates the NUMBER 1 PROBLEM people have with GLS: Setting up the league before knowing all the facts: Who's in the league, How many teams, The players, etc. They setup the league and then want to go back and change the setup once all the league information is decided. This is very hard to resist. Maybe we setup a league for 24 players, and 12 teams. Then we find out there will only be 20 players and 10 teams. So instead of creating a new league, we think we can go back and make certain changes in the database so that it will work for the new revised setup.... (Loud Buzzer Sounding...) Wrong! This almost always causes problems. The best thing to do is START OVER with setup, especially if the number of players or teams change.. If this is what you have attempted to do, please start a new setup and see what happens. League set up does not take that long, maybe 10 or 20 minutes once you have all the information. You won't have to setup the golf course again. Do not be afraid to re-setup a league. Most of the time the problem(s) will disappear. Thank You.

  • If GLS will not allow you to enter scores, or otherwise is "uncooperative," check the "WeeksPlayed" Field in the "Leagues" Table. Is the number of weeks played correct? If not, edit the table.

  • GLS requires that the Number of Records in the "PlayerResults" Table equals the number of Players times the Number of Weeks Played. There must be a record for each player for each week, even if that record has all zeros. If this is not the case then find out which records are missing, from which week number. See the next tip for more help...

  • If problems occur, it is a good idea to do the last week over again… In other words "Delete Last Scores Posted ." This action deletes all records and resets all settings for the most recent week entered. Access this feature through the "Edit Menu... Database... Delete..." You can delete as many weeks as you wish using this function. Let's say after 2 weeks you decided to change the way points are calculated or you were entering something wrong and you would like to start over... No problem... Just delete the two weeks, make the changes to the points setup, and start over.

  • The "Corrective Queries" can recalculate the critical statistics for the league. For example, each time the Year-To-Date Report is run, GLS recalculates all points, scores, etc. The recalculations are based on the data in the "PlayerResults" table. If this table has correct data, then you can be assured that the Individual and Team Standings, Individual and Team Points, and Prize Winnings, are all correct. If something does not seem correct, check this table in database mode to see if any posted scores or points are incorrect.

  • If a players handicap appears incorrect... Players handicaps are based on the data in the AdjOvePar Table for your league. This table holds the number of strokes, after any adjustments, over par for the round. Each player has a field header which contains the players ID number. Each row in the table represents a week played. There should always be the same number of rows in this table as weeks entered. A "-99" (minus 99) in this table mean the player did not post a score for that week. Check the data in this table to make sure they we posted correctly. You can make changes to this table in Edit Mode.

  • If problems persist, write to GolfSoft® at gls@golfsoft.com. Give a description of the problem and as many details about it as possible. A technical rep will respond by email within 24 hours at the latest, but most of the time much sooner than that....


Uninstall GLS v4.0 or v3.0

Uninstall GLS

Uninstalling GLS

When you install Golf League Secretary for Windows a file is created called "Install.Log" which contains all the files that were loaded during installation. This file can be viewed in Notebook, Word Pad, or other word processor. The GLS Uninstall Program reads the "install.log" and uninstalls, (deletes), the program and data files that were installed, unless those files are shared by other programs on your system.

  1. From Program Manager Click on "Ungls90" Icon in the "GolfSoft" Group, OR from Windows explorer double-click on the file UnGLS90.exe. This will start the uninstall process.

  2. From the Uninstall Dialog Box, Click Automatic to "automatically" delete all files installed by the GLS installation program. Click Custom to have control over the uninstall process. Click Cancel to close the Uninstall Program without any changes.


Printed Documentation

Printed Documentation is not available at this time. All the effort of preparing this program has gone into programming and testing. We have attempted to make the On-Line Help File a comprehensive explanation of how GLS works and what it can do. You may find it helpful to print some of the Help Topics if a hard copy is helpful for you.


Registration / Program Editions

Fee Table

Golf League Secretary™ for Windows®
by GolfSoft™ Company
How To Purchase License

All users must initially obtain the "Software" in the download file in unlicensed form, also known as "The Demo Version," at no charge. You are free to evaluate GLS to ascertain whether it will achieve your intended results. This unlicensed version has some minor features disabled and displays some reminders that it is unlicensed, otherwise, all major features are fully enabled. Upon deciding GLS will achieve your intended results, you can purchase a license. A unique "Unlock Code," a series of letters and/or numbers, similar to a password, will be issued to you. The unlock code is based on the Computer ID Number which is unique to your computer. Once you receive the unlock code Click the "GLS Menu"... then Click "Registration / Unlock"... Enter the code in the Unlock Code Text Box and Click "Register." GLS will become fully enabled and licensed. All computers require a different unlock code, thus, your unlock code will not work on another computer.

If you decide to purchase GLS: Decide which edition you want. You must Order or Upgrade GLS by (1.) Email from within the GLS program. Click on the "GLS" Menu... then click "Order GLS" then Click "Order GLS by Secure Email." An order form appears. Fill out the form completely and click the "Send Email Order Now" button OR by (2.) Ground Mail... Click on the "GLS" Menu... then click "Order GLS" then click on "Create Mail-In Order Form." A form which can be printed will be created. Print and fill out the form completely and enclose a check for the appropriate amount and mail to the address provided. Using either method your receipt and unlock code will be returned to you ASAP. An email order would obviously be faster than ground mail.

Golf League Secretary in available in 3 Editions: Express, Standard, and Professional. All 3 Editions have the same features except for the number of leagues that can be maintained within the program. The Express Edition, for example, which is used by most licensees, allows maintenance of 2 leagues. Only League ID numbers 1 and 2 can be used beyond 5 weeks. All created leagues other than League ID Numbers 1 and 2 are limited to 5 weeks of data entry. The 6th week cannot be entered. Leagues with ID numbers 1 and/or 2 can be deleted to make room for another league thus making Golf League Secretary reusable indefinitely. The only difference between the Standard Edition and Express Edition is the Standard allows the maintenance of up to 4 leagues at the same time. Leagues with League ID numbers 1 through 4 can be used beyond 5 weeks. The Professional Edition allows an unlimited number of leagues. A league in the Express Edition created with a league ID number of 3 or higher would not allow you to enter scores for week 6. You can, however, change the league ID number of a higher league to 1 or 2 using the "Change League ID Number" feature from the "Edit" Menu... "Database""

New for 2005
1. There is no charge to move GLS from one computer to another. You can request (by email) a new unlock code at anytime for a different computer. Once you receive a new unlock code, the previously issued unlock code will be disabled on all future GLS updates and upgrades. The unlock code is based on the hard drive serial number. If the hard drive is replaced, or if you want to move GLS to another computer the unlock code changes. If you are issued a new unlock code, the old code will no longer work for future updates and upgrades. If you install a GLS update or upgrade on a computer with the old unlock code, it will become disabled.

2. Free upgrades to GLS licensees are determined as follows: Licensed users who paid fees (whether an initial license fee or an upgrade fee) to Golfsoft in any calendar year, receives free GLS updates and upgrades for that calendar year and the next calendar year. Example: If you pay an upgrade fee for the new version in 2005, you will receive all updates for the new version throughout 2005, and a free upgrade and free updates to the next version throughout 2006. If you wish to upgrade to a new version in 2007, an upgrade fee will be required. You are welcome to use your current version of GLS indefinitely. There are no yearly fees. Let us know (by email) if GLS becomes unregistered?

Fee Table:

Edition | Edition Limit | License Fee* | Change License**** Upgrade/Transfer/Add
Express*** | 2 Leagues | $69.00 | $35.00
Standard | 4 Leagues | $99.00 | $40.00
Professional | Unlimited | $179.00 | $70.00

*All Fees as of January 1, 2005. Subject to change / All prices are before shipping if applicable.

Shipping is no charge if downloaded from http://www.golfsoft.com
**One Person on One Computer (See License for exact details
***Multiple licenses of the Express Edition as follows: (4 to 9 for $60.00 ea.), (10 to 14 for $55.00 ea.), (15 or more for $45.00 ea.)
****Per the License Agreement, the fees listed in this Change License column cover upgrading the software ("Upgrade Fee"); transferring the license to another individual ("Transfer Fee"); or adding a second license for a different single computer ("Add License Fee"). See License Agreement for further details. Change License Fees are listed for the same edition previously licensed. To upgrade to a higher edition, add the fee difference of the editions plus $30.00. Example, if upgrading from Express to Standard Edition the fee would be ($99.00 - $69.00 = $30.00 + $30.00 = $60.00). Add License Example: If a licensed user wants to add a second Express Edition on a different single computer for personal use the fee would be $35.00.


Legalities

Governing Law

This agreement shall be governed by the laws of the State of Michigan.

Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. Because of the various hardware and software environments into which GLS 9.0 may be put, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program. ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.

Copyright/License/Warranty

"Golf League Secretary™ v9.0 for Windows" Copyright © 1994-2010

by Bill Uffelman, President,

GolfSoft® Company All rights reserved.


License Agreement

LICENSE AGREEMENT FOR GOLF LEAGUE SECRETARY™ SOFTWARE BY GOLFSOFT® COMPANY

Effective Date: January 1, 2010. This license agreement supersedes all previous license agreements for all licensed users.

"Golfsoft" IS A REGISTERED TRADEMARK OF GOLFSOFT® COMPANY. "Golfsoft Software" and the "Golf Secretary" line of software applications are trademarks of Golfsoft® Company.

The following abbreviations are used within this license agreement:
Golfsoft Company ("Golfsoft")
Golf League Secretary for Windows ("GLS")
Golf League Secretary for Windows License Agreement ("GLSL")
Others as may be noted within the body of this license agreement.

You should carefully read the following terms and conditions before using this software. Unless you have a different license agreement signed by Golfsoft Company ("Golfsoft") your use of this software indicates your acceptance of this license agreement and warranty. This license agreement is subject to change from time to time. The current license agreement is published on the golfsoft.com website (http://www.golfsoft.com/license.htm).

There will NOT be a major upgrade to a new version of GLS in 2010. Current subscribers of GLS v9.0 or greater can continue to download updates for GLS v9.9xx. If you need to upgrade from an older version (prior to v9.0) or move GLS to a new computer you will need a current subscription.

NEW LICENSING AND PRICING PHILOSOPHY
Many golf leagues change league secretaries every couple of years. Rather than charge a higher initial license fee for our Golf League Secretary (GLS) application, we have adopted a policy of licensing on a lower priced subscription basis. Licensing subscriptions are based on a two-year cycle. A lower initial subscription fee (new users) is charged for the first two years and an even lower renewal subscription fee is charged to extend the subscription for an additional two years. During the subscription period a subscriber can download and install the latest version of GLS and all updates on their current computer(s) (up to 2 computers) and can download and install GLS on any new computers or new versions of Windows which they may acquire. This policy keeps subscribers up to date at the lowest cost.

We have also eliminated the Express Edition of GLS which allows up to 2 leagues, and now offer the Standard Edition which allows up to 4 leagues as the entry level application. Because of this revised policy, we have also eliminated the "Transfer" option which allowed a GLSL to be transferred to a new user. Instead, a new league secretary is treated as a new user with a new license subscription. There is no need for the "Move" or "Upgrade" options as any current subscriber can move GLS to a different computer at any time. All options depend on whether the user has a current subscription or an expired subscription. Current subscribers can download and install the latest version of GLS on up to two computers and can move GLS to other computers if needed.

NEW IN THIS LICENSE
1. Any GLS version 9.0 and older is no longer supported. This includes all versions of GLS released prior to 2008. Do not inquire about any problems or questions concerning GLS versions 1.1xx through 9.0xx. It is recommended that all users upgrade to the latest version (GLS v9.9xx). Go to golfsoft.com for information about how to upgrade, update, or move your GLSL.

2. A Golf League Secretary for Windows License Agreement ("GLSL") is classified as a two-year subscription. This is a simple process. New licensed users pay an initial 2-year subscription fee. When this subscription expires, it can be renewed for an additional two years at a reduced renewal cost.

3. The Express Edition of GLS has been eliminated. Only the Standard Edition (4 leagues) and Professional Edition (Unlimited leagues) are now available. The cost of renewing a subscription for the Standard Edition has been lowered to $35.00 for two years, the same as the previously available Express Edition.

4. Current Subscribers can now install the latest version GLS on up to two computers at the same time (receive two unlock codes) and can continue to move GLS from one computer to another as needed.

5. REINSTALL OR MOVE LICENSE POLICY: If your subscription is current, you can move your GLSL to a different computer at no charge and install the latest version available. The installation files for versions older than the current version (v9.0xx) are no longer available. If you do not have your original installation files you must renew your subscription and download the latest version of GLS. You can request (by email within the GLS program) a new unlock code at anytime for a different computer for the version you currently have licensed. Use the "Email Order Form" from within the GLS application to request new unlock codes or renew subscriptions. Once you receive a new unlock code, the previously issued unlock code will be disabled (“hard-coded” within the program) in all future GLS updates and upgrades.

BASICS

Golfsoft Company ("Golfsoft") and its suppliers provide the "Golf League Secretary for Windows" computer software product contained in the download file(s) (the "Software") and the associated documentation contained in the download file (the "Documentation") and license their use under the terms set forth herein. A License for the Standard Edition of the "Software" are NOT ISSUED in the name of entities such as corporations, companies, clubs, groups, leagues, associations and so forth. The Standard Edition of the "Software" is licensed for personal use only, by one person, in the name of that person, on up to 2 computers. The Profession Edition of the "Software" can be licensed in the name of entities such as corporations, companies, clubs, groups, leagues, associations and so forth. Depending on which edition is licensed, the words "you" and "your," in this agreement, may refer to one person, or to one entity as described above. You assume responsibility for the selection of the "Software" to achieve your intended results, and for the installation, use, and results obtained from the "Software." DO NOT USE the "Software" in any case where any damage or injury to persons, property, or business may happen if an error should occur.

Software Editions: The "Software" is available in 2 Editions: Standard and Professional. Both Editions have the same features and capabilities except for the number of leagues that can be maintained within the program. The Standard Edition, for example, which is used by most licensees, allows maintenance of up to 4 leagues. Only League ID numbers 1 through 4 can be used beyond 5 weeks. All created leagues other than League ID Numbers 1 through 4 are limited to 5 weeks of data entry. The 6th week cannot be entered for that league. Leagues with ID numbers 1 through 4 can be deleted to make room for another league thus making the "Software" reusable indefinitely. If a league with ID number 1 through 4 is deleted, a league with a higher number can be changed, within the application to become a legal league. The Professional Edition allows an unlimited number of leagues and all League ID numbers can be used beyond 5 weeks.

LICENSE ARTICLES

1. Use of Demo Version: Before your payment in full for the "Software" license, per the "Software" License Fee Table ("Fee Table") which is published from time to time and can be obtained on the "Golfsoft" website, you are granted a personal, non-exclusive temporary license to use one copy of the "Software" on a single computer and to use the "Documentation" under the terms stated in this Agreement, for a maximum period of 90 days from the time of initial installation.

2. All users must initially obtain the "Software" in the download file in unlicensed form, also known as "The Demo Version," at no charge. You can evaluate the "Software" to ascertain whether the "Software" will achieve your intended results. The unlicensed version of the "Software" displays some reminders that the "Software" is unlicensed; otherwise, all major features are fully enabled. Upon deciding the "Software" will achieve your intended results, you can purchase a license subscription for the "Software." DO NOT subscribe unless you want to keep the “Software.” A unique "Unlock Code," a series of letters and/or numbers, similar to a password, will be issued to you which when typed in the appropriate place within the "Software" will fully enable your copy of the "Software" on a single computer. All title and ownership of the "Software" and "Documentation" remain with "Golfsoft Company." All computers require a different unlock code. Your license becomes active on a single computer when the correct unlock code is entered and the software becomes fully enabled. "Golfsoft" reserves the right to terminate the license agreement at any time, for any reason. A full refund will be issued if the "GLSL" is terminated by "Golfsoft.”

3. All new users must pay an initial subscription fee for the Golf League Secretary License ("GLSL"), per the "Fee Table.” Upon payment in full for the "GLSL" you become a "Licensee" and are granted a 2-year GLS software subscription, a personal, non-exclusive right to install and use a single copy of the "Software" on a single computer or workstation for non-simultaneous use by one or more persons AND install a second copy of the "Software" on another computer or workstation for the exclusive use of the person who is the primary user of the first copy of the "Software." Current GLS subscribers can download and install, at no charge, software updates and upgrades for the latest version of the "Software," and, if needed, can request new unlock codes for new computers or operating systems.

GLS LICENSE / SUBSCRIPTION

Subscription Duration Example:
---------------------------------------------------------------
Initial Subscription or Renewal Year |Subscription Expires
------------------------------------------|--------------------
Subscribe or Renew before July 15, 2010 |December 31, 2011
Subscribe or Renew after July 15, 2010 |December 31, 2012
---------------------------------------------------------------

4. Current subscribers of GLS can move the "software" to a different computer at no charge for the version currently licensed. Golfsoft cannot supply installation files for any version of GLS other the most current version.

5. Golfsoft Company may update or revise the "Software" and/or "Documentation" periodically for the purpose of adding new features or correcting known problems. Golfsoft Company may also release major version upgrades from time to time which may require new unlock codes for your registered computers. Updates and Upgrades will be available for download from the "Golfsoft" website at no charge for current subscribers. The latest upgrade or update files contain all previous upgrades or updates released for that particular major version of the "Software."

6. You may not assign or sublicense your license and may not decompile, reverse engineer, modify, or copy the "Software" or "Documentation" for any purpose, except you may copy the "Software" into machine readable or printed form for backup purposes in support of your use of the "Software" on a single computer. Your particular licensed version of the "Software" may not be available for download after a new version is released. For this reason, it is your responsibility to keep a copy of the original installation files and the most recent update file for the purpose of reinstalling the "Software" in the event such a need arises.

7. Support for, or questions about, the "Software" are limited to email correspondence unless a phone appointment is requested by email and arranged for in advance. Phone support personnel are available on a limited basis. "Golfsoft" will support only those versions of the "Software" which start with a "9.9". All licensees whose license is older than GLS v9.9xx, (referred to as "Non-Supported Licensees"), which includes all versions of GLS released prior to 2008, can continue to use the software indefinitely without any support or obligation from "Golfsoft." Do not inquire about any problems or questions concerning GLS versions 1.1xx through 9.0xx. It is recommended that all users upgrade to the latest version (GLS v9.9xx).

8. The "Software" and "Documentation" are copyrighted 1994-2010 by "Golfsoft Company." You agree to respect and not to remove or conceal from view any copyright, trademark or confidentiality notices appearing on the "Software" or "Documentation", and to reproduce any such copyright, trademark or confidentiality notices on all copies of the "Software" and "Documentation" or any portion thereof made by you as permitted hereunder and on all portions contained in or merged into other computer software products and documentation.

YOU MAY NOT USE, COPY, MODIFY, MOVE, OR TRANSFER THE "SOFTWARE" OR "DOCUMENTATION", OR ANY COPY, MODIFICATION OR MERGED PORTION, IN WHOLE OR IN PART, EXCEPT AS EXPRESSLY PROVIDED FOR IN THIS LICENSE.

TERM

This license is effective until terminated. You may terminate it at any time by destroying the "Software" and "Documentation" with all copies, modifications and merged portions in any form. It will also terminate upon conditions set forth elsewhere in this Agreement if you fail to comply with any term or condition of this Agreement. You agree upon such termination to destroy the "Software" and "Documentation" together with all copies, modifications and merged portions in any form.

LIMITED WARRANTY

Except as specifically provided herein, "Golfsoft" makes no warranty, representation, promise or guarantee, either express or implied, statutory or otherwise, with respect to the "Software", "Documentation" or related technical support, including their quality, performance, merchantability or fitness for a particular purpose. The warranty and remedies set forth herein are exclusive and in lieu of all others, oral or written, express or implied. No "Golfsoft" dealer, distributor, agent or employee is authorized to make any modification or addition to this warranty. This warranty gives you specific legal rights, and you may also have other rights which vary from state to state.

LIMITATION OF LIABILITY

Because computer software is inherently complex and may not be completely free of errors, and because computer systems can fail at any time, it is your responsibility to verify your work and to make backup copies, and "Golfsoft" will not be responsible for your failure to do so. In no event will "Golfsoft" be liable for indirect, special, incidental, tort, economic, cover, or consequential damages arising out of the use of or inability to use "Golfsoft" products or services, including, without limitation, damages or costs relating to the loss of profits, business, goodwill, data, or computer programs, even if advised of the possibility of such damages. In no case shall "Golfsoft’s" liability for money damages exceed the amount paid by you for the "Software" license out of which such claim arose. Some states or provinces do not allow the exclusion or limitation of implied warranties or limitation of liability for incidental or consequential damages, so the above exclusion or limitation may not apply to you.

GENERAL

This Agreement will be governed by the laws of the State of Michigan. The export of "Golfsoft" products is governed by the U.S. Department of Commerce under the export administration regulations. It is your responsibility to comply with all such regulations.


Computer Lock Up

Re-Enter the Last Scores Posted...

If, while entering weekly results, your computer locks up due to a program error, computer related problem, or loss of electricity, GLS can reset all the data tables to where they were before entering any scores or results:

  1. Restart computer and GLS. If you find that only partial results were entered and you would like to start over...

  2. From the "Edit Menu... Database... Delete...", select "Delete Last Scores."

  3. Start over reentering scores.

If the problem occurred while you doing a non-critical operation such as creating scorecards, or running a query, you only need to start over.


Registration / Program Editions

Golf League Secretary™ for Windows®
by GolfSoft® Company

Use GLS for a while before buying!

Golf League Secretary is only available by download from our website. Installation Disks or CD's are not available to be shipped. After downloading, you can copy the installation files to a folder on your hard drive or to a CD ROM. If you do not have internet access and are not able to download GLS, please have a friend or relative download the GLS files and make a copy for you...

Please read the license agreement to understand the GLS subscription and various editions, versions, etc. Also, please do not attempt to order the program (obtain a subscription license) unless you feel the program will work for you. Go ahead and try it for awhile. The unlicensed demo version is exactly the same as the licensed version except for not allowing you to go past 5 weeks of data entry for any league you create. That's the only difference! Except for the opening and closing reminders that the program is unlicensed, the demo version and licensed version are the same. There are no pressing reasons to order the program immediately or until you have used it for a few weeks.

When you decide to subscribe... It's EASY!
As shown in Figure 1, from the "GLS" Menu, click "Order GLS." Then click "Order or Upgrade GLS by Secure E-Mail." An order form will appear.

Figure 1 - Where to find GLS Order Form

Next, Fill out the order form...
After filling out the form completely, Click the "Create Encrypted Email Order Text" button to create the encrypted email order text. This text will appear in the large text box below the button and will contain all the information needed to place an order for GLS. The order text has been encrypted (scrambled) and can only be read by Golfsoft Company. The decryption key is located on a "stand-alone" computer and cannot be accessed by anyone over a network computer.

Figure 2 - The GLS Order Form

Create the Email Order and send it to Golfsoft... It's Secure!
When the encrypted order text has been created, click the "E-mail Order Now" button (See Figure 3). An email, from your default email program, will be composed. If, for some reason, the "E-Mail Order Now" button does not open your system email program, you can copy the encrypted text and paste it into the body of an email message. Use the words "GLS Order" as the email Subject. Send this email, unedited, to Golfsoft.

Once the order is received, a license code, (UNLOCK CODE), and RECEIPT will be returned to you, by email, within 48 hours. Your private information IS NOT stored on a network computer or server. Thus, your data cannot be accessed by anyone over the internet. As per our Privacy Statement, your information WILL NOT, for any reason, be sold or shared with another party. Your personal data will be used for this GLS order only.

Figure 3 - Create and Send Encrypted Email GLS Order